<?php
/**
 * User: shahnuralam
 * Date: 2/26/18
 * Time: 12:18 PM
 */
if (!defined('ABSPATH')) die();
define("WPDMBP_ADMIN", 1);
?>
<div class="panel panel-default">
    <div class="panel-heading"><?php echo __('Profile Menu', 'wpdmpro'); ?></div>
    <div class="panel-body">
        <div class="form-group row">
            <div class="col-md-6">
                <label>Select Menu</label>

                <select class="form-control" name="__wpdm_bp_menu">
                <?php
                $menus = get_terms('nav_menu');
                foreach ($menus as $menu){
                    echo "<option value='{$menu->term_id}' ".selected($menu->term_id, get_option('__wpdm_bp_menu')).">{$menu->name}</option>";
                }
                ?>
                </select>
            </div>
            <div class="col-md-6">
                <label>Menu Position:</label>
                <select class="form-control" name="__wpdm_bp_menu_position">
                    <?php
                    global $bp;

                    $bp_nav = $bp->members->nav->get_primary();

                    if(!$bp_nav)
                        $bp_nav = $bp->bp_nav; // for backwards compatibility
                    $n = 0;
                    foreach ( $bp_nav as $user_nav_item )
                    {
                        $is_custom_menu = is_array($user_nav_item['screen_function']);

                        $item_title = preg_replace('#<span(.*?)</span>#', '', $user_nav_item['name']);
                        $item_position = $user_nav_item['position'];
                        $pos = (int)$user_nav_item->position + 1;
                        if($n==0)
                            echo "<option value='{$user_nav_item->position}'>Before {$item_title} Menu</option>";
                        echo "<option value='{$pos}' ".selected($pos, get_option('__wpdm_bp_menu_position')).">After {$item_title} Menu</option>";
                        $n++;
                    }
                    ?>
                </select>

            </div>
        </div>


        <div class="form-group row hide">
            <div class="col-md-4">
                <label><?php echo __('Menu Name', 'wpdmpro'); ?></label>
                <input type=text class="form-control" name="__wpdm_bp_menu_name" value="<?php echo get_option('__wpdm_bp_menu_name') ? get_option('__wpdm_bp_menu_name') : 'Downloads'; ?>" />
            </div>
            <div class="col-md-4">
                <label><?php echo __('Menu Slug', 'wpdmpro'); ?></label>
                <input type=text class="form-control" name="__wpdm_bp_menu_slug" value="<?php echo get_option('__wpdm_bp_menu_slug') ? get_option('__wpdm_bp_menu_slug') : 'downloads'; ?>" />
            </div>
            <div class="col-md-4">
                <label><?php echo __('Shortcode', 'wpdmpro'); ?></label>
                <input type=text class="form-control" name="__wpdm_bp_menu_shortcode" value="<?php echo get_option('__wpdm_bp_menu_shortcode') ? get_option('__wpdm_bp_menu_shortcode') : ''; ?>" />
            </div>
        </div>
        <div class="form-group">
        </div>
    </div>
</div>
<div class="panel panel-default">
    <div class="panel-heading"><?php echo __('Buddypress Private Message', 'wpdmpro'); ?></div>
    <div class="panel-body">
        <div class="form-group">
            <label><?php echo __('Subject', 'wpdmpro'); ?></label>
            <input type=text class="form-control" name="__wpdm_buddypress_share_private_message_subject" value="<?php echo get_option('__wpdm_buddypress_share_private_message_subject') ? get_option('__wpdm_buddypress_share_private_message_subject') : ''; ?>" />
        </div>

        <div class="form-group">
            <label><?php echo __('Message <em>( use short-code [link] to integrate post link, [friend] to migrate friend name and [title] for post title inside message box)</em>:', 'wpdmpro'); ?></label>
            <textarea class="form-control" cols="70" rows="6" name="__wpdm_buddypress_share_private_message"><?php echo get_option('__wpdm_buddypress_share_private_message') ? stripslashes(get_option('__wpdm_buddypress_share_private_message')) : "[link]"; ?></textarea><br>
        </div>
    </div>
</div>

<div class="panel panel-default">
    <div class="panel-heading"><?php echo __('Buddypress Post On Wall', 'wpdmpro'); ?></div>
    <div class="panel-body">
        <div class="form-group">
            <label><?php echo __('Message <em>( use short-code [link] to integrate post link and [title] for post title  inside message box)</em>:', 'wpdmpro'); ?></label>
            <textarea class="form-control" cols="70" rows="6" name="__wpdm_buddypress_share_message"><?php echo get_option('__wpdm_buddypress_share_message') ? stripslashes(get_option('__wpdm_buddypress_share_message')) : "[link]"; ?></textarea><br>
        </div>
    </div>
</div>
