<?php
/*
Plugin Name: WPDM - Facebook Share Lock
Description: Ask to share on facebook before download
Plugin URI: http://www.wpdownloadmanager.com/
Author: Shaon
Version: 1.5.2
Author URI: http://www.wpdownloadmanager.com/
*/


class WPDM_Facebook_Share_Lock {

    function __construct(){

        add_action('wpdm_download_lock_option', array($this, 'share_lock_option'));
        add_action('wpdm_download_lock', array($this, 'apply_share_lock'), 10, 2);
        add_action('wpdm_check_lock', array($this, 'check_lock'), 10, 2);
        add_action('init', array($this, 'share_count'));

    }

    function share_lock_option($post)
    {
        $id = is_object($post)?$post->ID:null;
        ?>

        <div class="panel panel-default"><h3 class="panel-heading"><label><input type="checkbox" rel="fbshare_lock" class="wpdmlock" name="file[fbshare_lock]" <?php if (get_post_meta($id, '__wpdm_fbshare_lock', true) == '1') echo "checked=checked"; ?> value="1"><span class="checkx"><i class="fas fa-check-double"></i></span><?php echo __('Enable Facebook Share Lock', 'wpdmpro'); ?></label></h3>
        <div id="fbshare_lock"  class="formlock fwpdmlock panel-body"  <?php if (get_post_meta($id, '__wpdm_fbshare_lock', true) != '1') echo "style='display:none'"; ?> >


            Ask visitor to share the package in facebook before download


        </div>
        </div>

    <?php
    }

    function share_count(){
        if(isset($_REQUEST['task']) && $_REQUEST['task'] == 'getsharecount'){
        $url = $_REQUEST['url'];
        $data = file_get_contents("http://graph.facebook.com/?id=".$url);
        $data = json_decode($data);
        echo intval($data->shares);
        die();
        }
    }

    function apply_share_lock($extralocks, $file)
    {

        $home = home_url('/');
        $force = str_replace("=", "", base64_encode("unlocked|" . date("Ymdh")));
        if (get_post_meta($file['ID'], '__wpdm_fbshare_lock', true) != 1) return $extralocks;
        if(!is_array($extralocks)) $extralocks = array( 'html' => '');
        if(!isset($extralocks['html'])) $extralocks['html'] = '';     
        $extralocks['html'] = $extralocks['html'] . '<button type="button" class="btn wpdm-social-lock btn wpdm-facebook" data-pid="'.$file['ID'].'" id="facebook-share-'.$file['ID'].'"><i class="fa fa-facebook"></i> Share <label style="display: none" class="label label-white" id="share-count-'.$file['ID'].'">0</label></button>';
        $extralocks['html'] = $extralocks['html'] . "<script>window.fbAsyncInit = function () {

    jQuery('body').on('click','#facebook-share-{$file['ID']}',function (e) { e.preventDefault();
        var pkgid = jQuery(this).attr('data-pid');
        FB.ui({
            method: 'share',
            href: '".get_permalink($file['ID'])."'

        }, function (response) {

        if (response instanceof Object) {
            console.log('post was shared');
            var ctz = new Date().getMilliseconds();
                     jQuery.post('{$home}?nocache='+ctz,{__wpdm_ID:pkgid,dataType:\"json\",execute:\"wpdm_getlink\",force:\"{$force}\",social:\"f\",action:\"wpdm_ajax_call\"},function(res){
                                            console.log(res);
                                            if(res.downloadurl!=\"\"&&res.downloadurl!=\"undefined\"&&res!=\"undefined\") {
                                            location.href=res.downloadurl;
                                            jQuery(\"#pkg_\"+pkgid).html(\"<a style='color:#000' href='\"+res.downloadurl+\"'>Download</a>\");
                                            } else {
                                                jQuery(\"#msg_\"+pkgid).html(\"\"+res.error);
                                            }
                                    });

        } else {
            console.log('post was not shared');
        }
    });
    });
    jQuery.getJSON('http://graph.facebook.com/?id=".get_permalink($file['ID'])."', function(res){
    var s = res.shares != undefined?res.shares:0;
    jQuery('#share-count-{$file['ID']}').html(s);
    });

};

(function (d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.async = true;
    js.src = '//connect.facebook.net/en_US/all.js#xfbml=1&appId=".get_option('_wpdm_facebook_app_id', 208571882489077)."';
    fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>";
        $extralocks['lock'] = 'locked';
        $extralocks['type'] = 'social';
        return $extralocks;
    }

    function check_lock($lock, $id)
    {
        if (get_post_meta($id, '__wpdm_fbshare_lock', true) == '1') $lock = 'locked';
        return $lock;
    }




}

new WPDM_Facebook_Share_Lock();
