<?php
if (!defined('ABSPATH')) die();
/**
 * User: shahnuralam
 * Date: 11/26/17
 * Time: 10:09 PM
 */
$templates = \WPDM\AddOn\OptinPopup::templates();
$animations = array(
    'bounce' => 'bounce',
    'flash' => 'flash',
    'pulse' => 'pulse',
    'rubberBand' => 'rubberBand',
    'shake' => 'shake',
    'swing' => 'swing',
    'tada' => 'tada',
    'wobble' => 'wobble',
    'jello' => 'jello',
    'bounceIn' => 'bounceIn',
    'bounceInDown' => 'bounceInDown',
    'bounceInUp' => 'bounceInUp',
    'bounceOut' => 'bounceOut',
    'bounceOutDown' => 'bounceOutDown',
    'bounceOutLeft' => 'bounceOutLeft',
    'bounceOutRight' => 'bounceOutRight',
    'bounceOutUp' => 'bounceOutUp',
    'fadeIn' => 'fadeIn',
    'fadeInDown' => 'fadeInDown',
    'fadeInDownBig' => 'fadeInDownBig',
    'fadeInLeft' => 'fadeInLeft',
    'fadeInLeftBig' => 'fadeInLeftBig',
    'fadeInRightBig' => 'fadeInRightBig',
    'fadeInUp' => 'fadeInUp',
    'fadeInUpBig' => 'fadeInUpBig',
    'fadeOut' => 'fadeOut',
    'fadeOutDown' => 'fadeOutDown',
    'fadeOutDownBig' => 'fadeOutDownBig',
    'fadeOutLeft' => 'fadeOutLeft',
    'fadeOutLeftBig' => 'fadeOutLeftBig',
    'fadeOutRightBig' => 'fadeOutRightBig',
    'fadeOutUp' => 'fadeOutUp',
    'fadeOutUpBig' => 'fadeOutUpBig',
    'flip' => 'flip',
    'flipInX' => 'flipInX',
    'flipInY' => 'flipInY',
    'flipOutX' => 'flipOutX',
    'flipOutY' => 'flipOutY',
    'lightSpeedIn' => 'lightSpeedIn',
    'lightSpeedOut' => 'lightSpeedOut',
    'rotateIn' => 'rotateIn',
    'rotateInDownLeft' => 'rotateInDownLeft',
    'rotateInDownRight' => 'rotateInDownRight',
    'rotateInUpLeft' => 'rotateInUpLeft',
    'rotateInUpRight' => 'rotateInUpRight',
    'rotateOut' => 'rotateOut',
    'rotateOutDownLeft' => 'rotateOutDownLeft',
    'rotateOutDownRight' => 'rotateOutDownRight',
    'rotateOutUpLeft' => 'rotateOutUpLeft',
    'rotateOutUpRight' => 'rotateOutUpRight',
    'slideInUp' => 'slideInUp',
    'slideInDown' => 'slideInDown',
    'slideInLeft' => 'slideInLeft',
    'slideInRight' => 'slideInRight',
    'slideOutUp' => 'slideOutUp',
    'slideOutDown' => 'slideOutDown',
    'slideOutLeft' => 'slideOutLeft',
    'slideOutRight' => 'slideOutRight',
    'zoomIn' => 'zoomIn',
    'zoomInDown' => 'zoomInDown',
    'zoomInLeft' => 'zoomInLeft',
    'zoomInRight' => 'zoomInRight',
    'zoomInUp' => 'zoomInUp',
    'zoomOut' => 'zoomOut',
    'zoomOutDown' => 'zoomOutDown',
    'zoomOutLeft' => 'zoomOutLeft',
    'zoomOutUp' => 'zoomOutUp',
    'hinge' => 'hinge',
    'rollIn' => 'rollIn',
    'rollOut' => 'rollOut'
);
$id = get_the_ID();
$template_id = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_template', 'default');
?>

<script src="<?php echo WPDM_OP_URL . 'assets/js/bootstrap-toggle.min.js'; ?>"></script>
<div class="w3eden">
    <div class="well">
        <button type="button" class="btn btn-default btn-sm pull-right" data-target="#selectTemplate"
                data-toggle="modal">Change Template
        </button>
        <span class="lead">Selected Template: <strong id="atpl_name"><?php echo $templates[$template_id]['name']; ?></strong></span>
    </div>
    <input type="hidden" name="__wpdm_op_template" id="__wpdm_op_template" value="<?php echo $template_id; ?>"/>
    <div class="row">
        <div class="col-md-4">
            <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                <div class="panel panel-default panel-to">
                    <div class="panel-heading" id="heading1">
                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse1" aria-expanded="true" aria-controls="heading1">
                        Template Options
                        </a>
                    </div>
                    <div id="collapse1" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="heading1">
                        <div class="panel-body" id="atpl_style">
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label>Window Width:</label>
                                        <div class="input-group">
                                            <input name="__wpdm_op_width" class="form-control html __wpdm_op_cfg" id="__wpdm_op_width" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_width', '500'); ?>" placeholder="500" type="number">
                                            <div class="input-group-addon">
                                                px
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <label>Window Height:</label>
                                        <div class="input-group">
                                            <input name="__wpdm_op_height" class="form-control html __wpdm_op_cfg" id="__wpdm_op_height" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_height', '500'); ?>" placeholder="500" type="number">
                                            <div class="input-group-addon">
                                                px
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <fieldset style="padding: 10px;margin-bottom: 10px">
                            <legend style="font-weight: 600;margin-bottom: 10px">Padding</legend>
                            <div class="row">
                                <div class="col-md-3">
                                    <input type="number" name="__wpdm_op_padding_top" id="__wpdm_op_padding_top" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_padding_top', '20'); ?>" placeholder="Top" class="form-control input-sm __wpdm_op_padding" data-css="padding-top"/>
                                </div>
                                <div class="col-md-3">
                                    <input type="number" name="__wpdm_op_padding_right" id="__wpdm_op_padding_right" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_padding_right', '20'); ?>" placeholder="Right" class="form-control input-sm __wpdm_op_padding" data-css="padding-right"/>
                                </div>
                                <div class="col-md-3">
                                    <input type="number" name="__wpdm_op_padding_bottom" id="__wpdm_op_padding_bottom" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_padding_bottom', '20'); ?>" placeholder="Bottom" class="form-control input-sm __wpdm_op_padding" data-css="padding-bottom"/>
                                </div>
                                <div class="col-md-3">
                                    <input type="number" name="__wpdm_op_padding_left" id="__wpdm_op_padding_left" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_padding_left', '20'); ?>" placeholder="Left" class="form-control input-sm __wpdm_op_padding" data-css="padding-left"/>
                                </div>
                            </div>
                        </fieldset>
                            <fieldset style="padding: 10px;margin-bottom: 10px">
                                <legend style="font-weight: 600;margin-bottom: 10px">Colors</legend>
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>BG Color</label>
                                        <input name="__wpdm_op_bgcolor" class="form-control css __wpdm_op_cfg" id="__wpdm_op_bgcolor" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_bgcolor', '#ffffff'); ?>" placeholder="" type="color">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Heading Color</label>
                                        <input name="__wpdm_op_htxtcolor" class="form-control css __wpdm_op_cfg" id="__wpdm_op_htxtcolor" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_htxtcolor', '#333333'); ?>" placeholder="" type="color">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Text Color</label>
                                        <input name="__wpdm_op_txtcolor" class="form-control css __wpdm_op_cfg" id="__wpdm_op_txtcolor" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_txtcolor', '#333333'); ?>" placeholder="" type="color">
                                    </div>
                                </div>
                            </div>
                            </fieldset>

                            <fieldset style="padding: 10px;margin-bottom: 10px">
                                <legend style="font-weight: 600;margin-bottom: 10px">Fonts</legend>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Heading Font</label>
                                        <select name="__wpdm_op_hfont" data-selected="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_hfont', ''); ?>" class="form-control css __wpdm_op_cfg fontselect" id="__wpdm_op_hfont">
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Content Font</label>
                                        <select name="__wpdm_op_pfont" data-selected="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_pfont', ''); ?>" class="form-control css __wpdm_op_cfg fontselect" id="__wpdm_op_pfont">
                                        </select>
                                    </div>
                                </div>
                            </div>
                            </fieldset>

                            <!-- fieldset style="padding: 10px;">
                            <legend style="font-weight: 600;margin-bottom: 10px">Background Image</legend>

                            <div class="form-group">
                            <div class='input-group'>
                                <input style='min-width: 90%'
                                                                                            class='cpb form-control'
                                                                                            type='text'
                                                                                            name='wpeden_post_meta[pagebg][image]'
                                                                                            id='cpb_image' value=''/>
                                <span
                                        class='input-group-btn'><button rel='#cpb_image'
                                                                        class='btn btn-default btn-media-upload'
                                                                        type='button'><i
                                                class='fa fa-image'></i></button></span>
                            </div>
                            </div>
                            <div class="row form-group">
                            <div class='col-md-6'>
                                <select
                                        class='cpb' id='cpb_position_h'
                                        name='wpeden_post_meta[pagebg][position_h]' style="width: 100%">
                                    <option value='left'>Left</option>
                                    <option value='center'>Center</option>
                                    <option value='right'>Right</option>
                                </select></div>
                                <div class='col-md-6'>
                                    <select
                                        class='cpb' id='cpb_position_v'
                                        name='wpeden_post_meta[pagebg][position_v]' style="width: 100%">
                                    <option value='top'>Top</option>
                                    <option value='center'>Center</option>
                                    <option value='bottom'>Bottom</option>
                                </select></div>
                            </div>
                            <div class="row form-group">
                                <div class='col-md-6'>
                                    <select
                                        class='cpb' id='cpb_repeat'
                                        name='wpeden_post_meta[pagebg][repeat]' style="width: 100%">
                                    <option value='no-repeat'>No Repeat</option>
                                    <option value='repeat'>Repeat</option>
                                    <option value='repeat-x'>Repeat Horizontally</option>
                                    <option value='repeat-y'>Repeat Vertically</option>
                                    <option value='stretched'>Stretched</option>
                                </select></div>
                                <div class='col-md-6'>
                                    <select
                                        class='cpb' id='cpb_attachment'
                                        name='wpeden_post_meta[pagebg][attachment]' style="width: 100%">
                                    <option value='scroll'>Scroll</option>
                                    <option value='fixed'>Fixed</option>
                                </select></div>
                            </div>
                            <div style='clear:both;'>&nbsp;</div>


                        </fieldset -->
                    </div>
                    </div>
                </div>
                <div class="panel panel-default panel-to">
                    <div class="panel-heading" id="heading1">
                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse2" aria-expanded="true" aria-controls="heading2">
                            Content
                        </a>
                    </div>
                    <div id="collapse2" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading2">
                    <div class="panel-body" id="atpl_cfg">
                        <?php

                        include $templates[$template_id]['config'];
                        ?>
                    </div>
                    </div>
                </div>
                <div class="panel panel-default panel-to">
                    <div class="panel-heading" id="heading3">
                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse3" aria-expanded="true" aria-controls="heading3">
                            Animation
                        </a>
                    </div>
                    <div id="collapse3" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading3">
                        <div class="panel-body">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Entrance</label><br/>

                                    <select name="__wpdm_op_entani" id="__wpdm_op_entani" class="form-control" style="width: 100%">
                                        <?php
                                        $inani = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_entani', 'zoomIn');
                                        foreach ($animations as $aniid => $name) {
                                            $selected = selected($aniid, $inani, false);
                                            if (!strstr($name, 'Out')) {
                                                echo "<option value='{$aniid}' {$selected}>{$name}</option>";
                                            }
                                        } ?>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Exit</label><br/>
                                    <?php $outani = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_extani', 'zoomOut'); ?>
                                    <select name="__wpdm_op_extani" id="__wpdm_op_extani" class="form-control" style="width: 100%">
                                        <?php
                                        foreach ($animations as $aniid => $name) {
                                            $selected = selected($aniid, $outani, false);
                                            if (strstr($name, 'Out')) {
                                                echo "<option value='{$aniid}' {$selected}>{$name}</option>";
                                            }
                                        } ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                </div>
                <div class="panel panel-default panel-to">
                    <div class="panel-heading" id="heading4">
                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse4" aria-expanded="true" aria-controls="heading4">
                            Custom CSS
                        </a>
                    </div>
                    <div id="collapse4" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading4">
                        <div class="panel-body">
                            <textarea class="form-control" id="__wpdm_op_custom_css" style="font-family: monospace" name="__wpdm_op_custom_css"><?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_custom_css', ''); ?></textarea>
                        </div>
                    </div>
                </div>
                <div class="panel panel-default panel-to">
                    <div class="panel-heading" id="heading5">
                        <a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse5" aria-expanded="true" aria-controls="heading5">
                            Trigger Button
                        </a>
                    </div>
                    <div id="collapse5" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading5">
                        <div class="panel-body">

                            <div class="form-group">
                                <label>
                                    <input type="hidden" value="0" name="__wpdm_op_trigger_button">
                                    <input type="checkbox" <?php checked(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_trigger_button',0), 1); ?> name="__wpdm_op_trigger_button" id="__wpdm_op_trigger_button" value="1" style="margin: -2px 0 0 !important;"> Enable Trigger Button
                                </label>
                            </div>

                            <div class="form-group">
                                <label>
                                    Button Text
                                </label>
                                <input type="text" class="form-control" name="__wpdm_op_tbtntxtlabel" id="__wpdm_op_tbtntxtlabel" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_tbtntxtlabel', 'Subscribe'); ?>" />
                            </div>

                            <div class="row form-group">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Width:</label>
                                        <input name="__wpdm_op_tbtnwidth" class="form-control css __wpdm_op_cfg" id="__wpdm_op_tbtnwidth" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_tbtnwidth', 'auto'); ?>" placeholder="150px" type="text">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Height</label>
                                        <input name="__wpdm_op_tbtnheight" class="form-control css __wpdm_op_cfg" id="__wpdm_op_tbtnheight" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_tbtnheight', '40px'); ?>" placeholder="40px" type="text">
                                    </div>
                                </div>
                            </div>

                            <div class="row form-group">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>BG Color</label>
                                        <input name="__wpdm_op_tbtnbgcolor" class="form-control css __wpdm_op_cfg" id="__wpdm_op_tbtnbgcolor" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_tbtnbgcolor', '#ffffff'); ?>" placeholder="" type="color">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Text Color</label>
                                        <input name="__wpdm_op_tbtntxtcolor" class="form-control css __wpdm_op_cfg" id="__wpdm_op_tbtntxtcolor" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_tbtntxtcolor', '#333333'); ?>" placeholder="" type="color">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <select id="__wpdm_op_tbtntype" name="__wpdm_op_tbtntype">
                                    <option value="basic">Basic</option>
                                    <option value="corner" disabled="disabled">Corner</option>
                                    <option value="floating" disabled="disabled">Floating</option>
                                </select>
                            </div>
                            <div class="row form-group">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Position</label>
                                        <select id="__wpdm_op_tbtnpos" name="__wpdm_op_tbtnpos">
                                            <option value="top-right">Top Right</option>
                                            <option value="top-center" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'top-center'); ?> >Top Center</option>
                                            <option value="top-left" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'top-left'); ?> >Top Left</option>
                                            <option value="bottom-right" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'bottom-right'); ?> >Bottom Right</option>
                                            <option value="bottom-center" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'bottom-center'); ?> >Bottom Center</option>
                                            <option value="bottom-left" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'bottom-left'); ?> >Bottom Left</option>
                                            <option value="side-left-top" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'side-left-top'); ?> >Left-Side Top</option>
                                            <option value="side-left-bottom" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'side-left-bottom'); ?> >Left-Side Bottom</option>
                                            <option value="side-right-top" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'side-right-top'); ?> >Right-Side Top</option>
                                            <option value="side-right-bottom" <?php selected(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_tbtnpos',''), 'side-right-bottom'); ?> >Right-Side Bottom</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Button Spacing</label>
                                        <div class="input-group">
                                            <input name="__wpdm_op_tbtnspace" class="form-control css __wpdm_op_cfg" id="__wpdm_op_tbtnspace" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_tbtnspace', '20'); ?>" placeholder="" type="number">
                                            <span class="input-group-addon">px</span>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-8">

            <iframe src="" id="wpdmopp_preview" style="width: 100%;height: 700px;border: 1px solid #dddddd;"></iframe>


        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="selectTemplate" tabindex="-1" role="dialog" aria-labelledby="selectTemplateLabel">
        <div class="modal-dialog" role="document"
             style="border-radius:0 !important;left:0 !important;right:0 !important;width:100% !important;height:100% !important;top:25px !important;margin:0 !important;">
            <div class="modal-content"
                 style="border-radius:0 !important;left:0 !important;right:0 !important;width:100% !important;height:calc(100% - 25px) !important;margin:0 !important;">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true"><i
                                    class="fa fa-times-circle"></i></span></button>
                    <h4 class="modal-title"
                        id="selectTemplateLabel"><?php _e('Select Template', 'wpdm-premium-packages'); ?></h4>
                </div>
                <div class="modal-body" style="overflow-y: scroll; max-height:calc(100% - 115px);">
                    <div class="row">
                        <?php

                        foreach ($templates as $id => $template) {
                            ?>
                            <div class="col-md-3 col-sm-4">

                                <div class="panel panel-default select-opptemplate" id="<?php echo $id; ?>"
                                     data-id="<?php echo $id; ?>" data-name="<?php echo $template['name']; ?>">
                                    <div class="panel-body text-center">
                                        <img src="<?php echo $template['screenshot']; ?>"
                                             alt="<?php echo $template['name']; ?>"
                                             style="max-width: 100%;"/>
                                    </div>
                                    <div class="panel-footer">
                                        <?php echo $template['name']; ?>
                                    </div>
                                </div>

                            </div>
                            <?php
                        }
                        ?>
                    </div>
                </div>
                <div class="modal-footer text-right" style="width: 100%;position: fixed;bottom: 25px;background: #ffffff;z-index: 999999">
                    <button type="button" class="btn btn-success" id="applytpl">Apply Template</button>
                </div>


            </div>
        </div>
    </div>
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                aria-hidden="true"><i
                                    class="fa fa-times-circle"></i></span></button>
                    <h4 class="modal-title"
                        id="myModalLabel"><?php _e('Select Package', 'wpdm-premium-packages'); ?></h4>
                </div>
                <div class="modal-body">
                    <div class="input-group">
                        <input type="text" placeholder="<?php _e('Search Package...', 'wpdm-premium-packages'); ?>"
                               class="form-control" id="srcp">
                        <div class="input-group-btn">
                            <button type="button" class="btn btn-default" id="srcpnow"><i class="fas fa-search"></i></button>
                        </div>
                    </div>
                    <br/>
                    <div class="list-group" id="productlist">

                    </div>
                </div>


            </div>
        </div>
    </div>
</div>
<style>
    .w3eden .bg-sec select,
    .w3eden .chosen-container.chosen-container-single{
        width: 100% !important;
        max-width: 100% !important;
    }
    .select-opptemplate {
        cursor: pointer;
    }

    .postbox .inside .well {
        box-shadow: none !important;
        border: 0 !important;
        margin: -6px -12px 15px -12px !important;
        border-radius: 0 !important;
        border-bottom: 1px solid #eeeeee !important;
    }

    #atpl_cfg .panel-body {
        max-height: 500px;
        overflow: auto;
    }

    .panel-to, .panel-to .panel-heading {
        border-radius: 0 !important;
        box-shadow: none;
        background-image: none;
    }

    #atpl_cfg .wpdm-settings-fields {
        margin: 0 !important;
        padding: 0 !important;
    }

    #wpdmopp_preview {
        overflow: hidden;
    }

    .material-switch > input[type="checkbox"] {
        display: none;
    }

    .material-switch > label {
        cursor: pointer;
        height: 0px;
        position: relative;
        width: 40px;
    }

    .material-switch > label::before {
        background: rgb(0, 0, 0);

        border-radius: 8px;
        content: '';
        height: 16px;
        margin-top: -8px;
        position: absolute;
        opacity: 0.3;
        transition: all 0.4s ease-in-out;
        width: 40px;
    }

    .material-switch > label::after {
        background: rgb(255, 255, 255);
        border-radius: 16px;
        box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
        border: 1px solid #aaaaaa;
        content: '';
        height: 24px;
        left: -4px;
        margin-top: -8px;
        position: absolute;
        top: -4px;
        transition: all 0.3s ease-in-out;
        width: 24px;
    }

    .material-switch > input[type="checkbox"]:checked + label::before {
        background: #1ABC9C;
        opacity: 1;
    }

    .material-switch > input[type="checkbox"]:checked + label::after {
        background: #ffffff;
        left: 20px;
        border: 1px solid #1ABC9C;
        box-shadow: 0px 0px 5px rgba(26, 188, 156, 0.3);
    }

    td {
        vertical-align: middle !important;
    }

    thead, thead tr {
        border: 0 !important;
    }

    thead th {
        border: 0 !important;
        background: #008EC2;
        color: #ffffff;
    }

    #access-request-metabox .inside, #allow-access-metabox .inside, #passwords-metabox .inside {
        padding: 0;
        margin: 0;
    }

    .table {
        margin: 0 !important;
    }

    .psrc {
        border-radius: 0 !important;
    }

    #psrc.wpdm-thw {
        opacity: 0.7 !important;
    }

    #__wpdm_op_countries_chosen {
        width: 100% !important;
    }

    .checkbox label .toggle, .checkbox-inline .toggle {
        margin-left: -20px;
        margin-right: 5px
    }

    .toggle {
        position: relative;
        overflow: hidden
    }

    .toggle input[type=checkbox] {
        display: none
    }

    .toggle-group {
        position: absolute;
        width: 200%;
        top: 0;
        bottom: 0;
        left: 0;
        transition: left .35s;
        -webkit-transition: left .35s;
        -moz-user-select: none;
        -webkit-user-select: none
    }

    .toggle.off .toggle-group {
        left: -100%
    }

    .toggle-on {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 50%;
        margin: 0;
        border: 0;
        border-radius: 0
    }

    .toggle-off {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 50%;
        right: 0;
        margin: 0;
        border: 0;
        border-radius: 0
    }

    .toggle-handle {
        position: relative;
        margin: 0 auto;
        padding-top: 0;
        padding-bottom: 0;
        height: 100%;
        width: 0;
        border-width: 0 1px
    }

    .toggle.btn {
        min-width: 59px;
        min-height: 34px
    }

    .toggle-on.btn {
        padding-right: 24px
    }

    .toggle-off.btn {
        padding-left: 24px
    }

    .toggle.btn-lg {
        min-width: 79px;
        min-height: 45px
    }

    .toggle-on.btn-lg {
        padding-right: 31px
    }

    .toggle-off.btn-lg {
        padding-left: 31px
    }

    .toggle-handle.btn-lg {
        width: 40px
    }

    .toggle.btn-sm {
        min-width: 50px;
        min-height: 30px
    }

    .toggle-on.btn-sm {
        padding-right: 20px
    }

    .toggle-off.btn-sm {
        padding-left: 20px
    }

    .toggle.btn-xs {
        min-width: 35px;
        min-height: 22px
    }

    .toggle-on.btn-xs {
        padding-right: 12px
    }

    .toggle-off.btn-xs {
        padding-left: 12px
    }
</style>
<script>
    var atpl_id, atpl_name;
    jQuery(function ($) {


        //$('select').chosen();

        $('#srcpnow').on('click', function () {
            $.post(ajaxurl, {
                action: 'wp-link-ajax',
                _ajax_linking_nonce: '<?php echo wp_create_nonce('internal-linking'); ?>',
                page: 1,
                search: $('#srcp').val()
            }, function (res) {
                res = JSON.parse(res);
                $(res).each(function (i, package) {
                    if (package.info == 'Package')
                        $("#productlist").append("<div class='list-group-item'><a style='opacity: 1;margin-top: -3px;margin-right: -5px' href='#' data-dismiss='modal' data-pid='" + package.ID + "' class='close pull-right insert-pid'><i class='fa fa-plus-circle color-green'></i></a>" + package.title + "</div>");
                });
            });
        });
        $('body').on('click', '.insert-pid', function (e) {
            e.preventDefault();
            $('#lpid').val($(this).data('pid'));
            $('#myModal').modal('close');
        });
        $('#wpdmopp_preview').attr('src', '<?php echo admin_url("?__wpdmoptpl={$template_id}&pid=" . get_the_ID()); ?>');
        /*$.get(ajaxurl, {action: 'wpdmopp_preview', __wpdmoptpl: 'default'}, function (res) {
            var $frame = $('<iframe style="width:100%; height:500px;border: 0;"></iframe>');
            $('#wpdmopp_preview').html($frame);
            var doc = $frame[0].contentWindow.document;
            var $body = $('body',doc);
            $body.html(res);
        });
        */
        $('.select-opptemplate').on('click', function () {
            $('.select-opptemplate').removeClass('panel-primary panel-default').addClass('panel-default');
            $(this).removeClass('panel-default').addClass('panel-primary');
            atpl_id = $(this).data('id');
            atpl_name = $(this).data('name');
        });

        $('#applytpl').on('click', function () {
            $('#atpl_name').html(atpl_name);
            $('#__wpdm_op_template').val(atpl_id);
            $.get(ajaxurl, {
                action: 'wpdmopp_config',
                __wpdmoptplcfg: atpl_id,
                pid: <?php echo get_the_ID();?>}, function (res) {
                $('#atpl_cfg').html(res);
            });
            $('#wpdmopp_preview').attr('src', '<?php echo admin_url("?pid=" . get_the_ID() . "&__wpdmoptpl=") ?>' + atpl_id);
            $('#selectTemplate').modal('hide');
        });

        $('#atpl_cfg input, #atpl_cfg select').on('change', function () {
            //if($(this).hasClass('css'))
            // $('.')
        });

        $('#__wpdm_op_entani').on('change', function () {
            document.getElementById("wpdmopp_preview").contentWindow.cAnimin($(this).val());
        });
        $('#__wpdm_op_extani').on('change', function () {
            document.getElementById("wpdmopp_preview").contentWindow.cAnimout($(this).val());
        });

        $('#__wpdm_op_width').on('change', function () {
            $('#wpdmopp_preview').contents().find(".modal-dialog").css('width', $(this).val()+'px');
        });
        $('#__wpdm_op_height').on('change', function () {
            $('#wpdmopp_preview').contents().find("#__wpdm_op_content").css('min-height', $(this).val()+'px');
        });

        $('.__wpdm_op_padding').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_padding").css($(this).data('css'), $(this).val()+'px');
        });


        $('#__wpdm_op_bgcolor').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_bgcolor").css('background-color', $(this).val());
        });

        $('#__wpdm_op_txtcolor').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_txtcolor").css('color', $(this).val());
        });

        $('#__wpdm_op_trigger_button').on('click', function () {
            if($(this).is(':checked'))
                $('#wpdmopp_preview').contents().find("#__wpdm_op_trigger_button").show();
            else
                $('#wpdmopp_preview').contents().find("#__wpdm_op_trigger_button").hide();
        });

        $('#__wpdm_op_tbtnpos').on('change', function () {
            $('#wpdmopp_preview').contents().find("#__wpdm_op_trigger_button").attr('class', 'btn '+$(this).val());
        });

        $('#__wpdm_op_tbtnbgcolor').on('change', function () {
            $('#wpdmopp_preview').contents().find("#__wpdm_op_trigger_button").css('background', $(this).val());
        });

        $('#__wpdm_op_tbtntxtcolor').on('change', function () {
            $('#wpdmopp_preview').contents().find("#__wpdm_op_trigger_button").css('color', $(this).val());
        });

        $('#__wpdm_op_tbtntxtlabel').on('keyup', function () {
            $('#wpdmopp_preview').contents().find("#__wpdm_op_trigger_button").html($(this).val());
        });

        $('#__wpdm_op_htxtcolor').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_htxtcolor").css('color', $(this).val());
        });

        $('#__wpdm_op_custom_css').on('change', function () {
            $('#wpdmopp_preview').contents().find("#__wpdm_op_custom_css").text($(this).val());
        });

        $.getJSON("https://www.googleapis.com/webfonts/v1/webfonts?key=<?php echo get_option('_wpdm_google_app_secret', 'AIzaSyCgvNB-55xoUiz1zKIJgFPQbqyn4lCCB_E'); ?>", function(fonts){
            $('.fontselect').each(function () {
                for (var i = 0; i < fonts.items.length; i++) {
                    if(fonts.items[i].family === $(this).data('selected'))
                    $(this)
                        .append($("<option></option>")
                            .attr("value", fonts.items[i].family)
                            .attr("selected", "selected")
                            .text(fonts.items[i].family));
                    else
                        $(this)
                            .append($("<option></option>")
                                .attr("value", fonts.items[i].family)
                                .text(fonts.items[i].family));
                }
                //$(this).trigger("chosen:updated");
            });



        });

        $('#__wpdm_op_hfont').on('change', function () {
            document.getElementById('wpdmopp_preview').contentWindow.loadFonts([$(this).val()]);
            $('#wpdmopp_preview').contents().find(".__wpdm_op_heading").css('font-family', $(this).val());
        });
        $('#__wpdm_op_pfont').on('change', function () {
            document.getElementById('wpdmopp_preview').contentWindow.loadFonts([$(this).val()]);
            $('#wpdmopp_preview').contents().find(".__wpdm_op_subheading").css('font-family', $(this).val());
        });

    });

    function set_iframe_height(h) {
        jQuery('#wpdmopp_preview').css('height', h + 'px');
    }
</script>
<!-- BEGIN PRIVY WIDGET CODE -->
<script type='text/javascript'> var _d_site = _d_site || '38548A8B63D45446505288A7'; </script>
<script src='//widget.privy.com/assets/widget.js'></script>
<!-- END PRIVY WIDGET CODE -->
