<?php
if (!defined('ABSPATH')) die();
/**
 * User: shahnuralam
 * Date: 11/25/17
 * Time: 12:56 PM
 */
$id = wpdm_query_var('wpdmoptinpopup');
$time_trigger = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_time_trigger', 0);
$scroll_trigger = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_scroll_trigger', 0);
$exit_trigger = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_exit_trigger', 0);
$adblock_trigger = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_adblock_trigger', 0);
$trigger_time = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_trigger_time');
$trigger_scroll = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_trigger_scroll');
?>
<!DOCTYPE html>
<html style="background: transparent">
<head>
    <title>Download Manager Opt-in Popup</title>
    <link rel="stylesheet" href="<?php echo WPDM_BASE_URL; ?>assets/bootstrap3/css/bootstrap.css" />
    <link rel="stylesheet" href="<?php echo WPDM_BASE_URL; ?>assets/css/front3.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.1/animate.min.css" />
    <script src="<?php echo includes_url(); ?>/js/jquery/jquery.js"></script>
    <script src="<?php echo includes_url(); ?>/js/jquery/jquery.form.min.js"></script>
    <script src="<?php echo WPDM_BASE_URL; ?>assets/bootstrap3/js/bootstrap.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/webfont/1.6.26/webfont.js"></script>
    <?php
    \WPDM\libs\Apply::uiColors();
    ?>
    <?php if($adblock_trigger == 1){ ?>
    <script src="<?php echo WPDM_OP_URL; ?>assets/js/ads.js"></script>
    <?php } ?>
    <style>
        html, body{
            overflow: visible;
            height: 100%;
            width: 100%;
            padding: 0;
            margin: 0;
        }
        img{
            max-width: 100%;
        }
        .modal-backdrop{
            background: rgba(0,0,0,0.5);
        }


        .w3eden .modal.fade{
            opacity:1;
        }

        .w3eden .modal.fade .modal-dialog {
            -webkit-transform: translate(0);
            -moz-transform: translate(0);
            transform: translate(0);
        }

        .w3eden .modal {
            text-align: center;
            padding: 0!important;
        }

        .w3eden .modal:before {
            content: '';
            display: inline-block;
            height: 100%;
            vertical-align: middle;
            margin-right: -4px;
        }

        .w3eden .modal-dialog {
            display: inline-block;
            text-align: left;
            vertical-align: middle;
            margin-top: 0 !important;
            margin-bottom: 0 !important;
        }

        @-moz-keyframes spin {
            from { -moz-transform: rotate(0deg); }
            to { -moz-transform: rotate(360deg); }
        }
        @-webkit-keyframes spin {
            from { -webkit-transform: rotate(0deg); }
            to { -webkit-transform: rotate(360deg); }
        }
        @keyframes spin {
            from {transform:rotate(0deg);}
            to {transform:rotate(360deg);}
        }
        .spin{
            -webkit-animation-name: spin;
            -webkit-animation-duration: 2000ms;
            -webkit-animation-iteration-count: infinite;
            -webkit-animation-timing-function: linear;
            -moz-animation-name: spin;
            -moz-animation-duration: 2000ms;
            -moz-animation-iteration-count: infinite;
            -moz-animation-timing-function: linear;
            -ms-animation-name: spin;
            -ms-animation-duration: 2000ms;
            -ms-animation-iteration-count: infinite;
            -ms-animation-timing-function: linear;

            animation-name: spin;
            animation-duration: 2000ms;
            animation-iteration-count: infinite;
            animation-timing-function: linear;
            display: inline-block;
        }


        /* Check Mark */

        .checkmark__circle {
            stroke-dasharray: 166;
            stroke-dashoffset: 166;
            stroke-width: 2;
            stroke-miterlimit: 10;
            stroke: #15b458;
            fill: none;
            animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
        }

        .checkmark {
            width: 56px;
            height: 56px;
            border-radius: 50%;
            display: block;
            stroke-width: 2;
            stroke: #fff;
            stroke-miterlimit: 10;
            margin: 10% auto;
            box-shadow: inset 0px 0px 0px #15b458;
            animation: fill .4s ease-in-out .4s forwards, scale .3s ease-in-out .9s both;
        }

        .checkmark__check {
            transform-origin: 50% 50%;
            stroke-dasharray: 48;
            stroke-dashoffset: 48;
            animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.8s forwards;
        }

        @keyframes stroke {
            100% {
                stroke-dashoffset: 0;
            }
        }

        @keyframes scale {
            0%, 100% {
                transform: none;
            }
            50% {
                transform: scale3d(1.1, 1.1, 1);
            }
        }

        @keyframes fill {
            100% {
                box-shadow: inset 0px 0px 0px 30px #15b458;
            }
        }

        .btn{
            outline: none !important;
        }

        <?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_custom_css', ''); ?>
    </style>
</head>
<body class="w3eden" style="background: transparent">

<div class="modal fade" id="wpdm-optinmagic" tabindex="-1" role="dialog" aria-labelledby="wpdm-optinmagicLabel">
    <?php

    $template = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_template', 'default');
    include("optinpopups/{$template}/template.php"); ?>
</div>

<script>

    var tempStorage = {
        get: function (name) {
            var now = Math.floor(Date.now() / 1000);
            var _lsd = localStorage.getItem(name);
            if(_lsd == null) return null;
            var obj = JSON.parse(_lsd);
            if(obj.expire >= now){
                return obj.data;
            } else {
                localStorage.removeItem(name);
                return null;
            }
        },
        set: function (name, value, expire = 3600) {
            var now = Math.floor(Date.now() / 1000);
            expire = now + expire;
            var obj = {
                data: value,
                expire: expire
            };
            localStorage.setItem(name, JSON.stringify(obj));
        }
    };

    function triggerNow() {
        if(parseInt(sessionOn) === 1) return false;
        if(triggered === 1) return false;
        window.parent.showIframe(<?php echo $id; ?>);
        jQuery('#wpdm-optinmagic').modal({backdrop: 'static'});
        triggered = 1;
        if(session === 1){
            //sessionStorage.setItem('wpdm_optinmagic_<?php echo $id; ?>', '1');
            tempStorage.set('wpdm_optinmagic_<?php echo $id; ?>', '1', 21600);
        }
    }

    function manualTrigger() {
        window.parent.showIframe(<?php echo $id; ?>);
        jQuery('#wpdm-optinmagic').modal({backdrop: 'static'});
        triggered = 1;
        if(session === 1){
            //sessionStorage.setItem('wpdm_optinmagic_<?php echo $id; ?>', '1');
            tempStorage.set('wpdm_optinmagic_<?php echo $id; ?>', '1', 21600);
        }
    }


    function scrollTrigger(w, pos) {

        var windowHeight = jQuery(w).height();
        var docHeight = jQuery( w.document ).height() - windowHeight;
        var scrollPosition = jQuery(w).scrollTop();
        var percent = ((scrollPosition + windowHeight) / docHeight) * 100 - initDiff;
        percent = Math.floor(percent);

        if(percent >= pos) {
            triggerNow();

        }
    }

    function exitIntent() {
        jQuery(window.parent.document).mouseleave(function () {
            triggerNow();
        });
    }

    function unblockAds() {
        if( window.noAdBlockerFound === undefined ) {

            sessionOn = 0;
            triggerNow();
        }
    }

    function applyAnim(x) {
        jQuery('.modal .modal-dialog').attr('class', 'modal-dialog  ' + x + '  animated');
    }

    function closePopup(){
        jQuery('#wpdm-optinmagic').modal('hide');
        applyAnim(animout);
    }


    var animin = '<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_entani','flipInX') ?>';
    var animout = '<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_extani','flipOutX') ?>';
    var windowHeight = jQuery(window.parent).height();
    var docHeight = jQuery(window.parent.document).height() - windowHeight;
    var initDiff = (windowHeight / docHeight) * 100;
    var triggered = 0;
    var session = <?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_session',1) ?>;
    //var sessionOn = sessionStorage.getItem('wpdm_optinmagic_<?php echo $id; ?>');
    var sessionOn = tempStorage.get('wpdm_optinmagic_<?php echo $id; ?>');

    var checkmarkSVG = '<div class="text-center"><svg class="checkmark" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 52 52"><circle class="checkmark__circle" cx="26" cy="26" r="25" fill="none"/><path class="checkmark__check" fill="none" d="M14.1 27.2l7.1 7.2 16.7-16.8"/></svg></div>';

    var compMsg = "<?php echo addslashes(\WPDM\AddOn\OptinPopup::__(get_the_ID(), '__wpdm_op_comp_message','Thank You!')); ?>";


    jQuery(function ($) {

        $('a').each(function () {
            $(this).attr('target', '_parent');
        });

        $('#wpdm-optinmagic').on('show.bs.modal', function (e) {
            applyAnim(animin);
        });


        $('#wpdm-optinmagic').on('hide.bs.modal', function (e) {
            applyAnim(animout);
        });
        $('#wpdm-optinmagic').on('hidden.bs.modal', function (e) {
            window.parent.hideIframe(<?php echo $id; ?>);
        });

        <?php if($time_trigger == 1){ ?>
        setTimeout(triggerNow, <?php echo $trigger_time*1000; ?>);
        <?php } ?>

        <?php if($scroll_trigger == 1){ ?>
        $( window.parent ).scroll(function() {
            scrollTrigger(this, <?php echo $trigger_scroll > 0 ? $trigger_scroll : 20; ?>);
        });
        <?php } ?>

        <?php if($exit_trigger == 1){ ?>
        exitIntent();
        <?php } ?>

        <?php if($adblock_trigger == 1){ ?>
        unblockAds();
        <?php } ?>

        $('#wpdm-optinmagic-form').submit(function (e) {
            e.preventDefault();
            var osv = $(this).find('#submit').html();
            $(this).find('#submit').html('<i class="ion-ios-loop-strong spin"></i> Please Wait...').attr('disabled', 'disabled');
            $(this).ajaxSubmit({
                url: '<?php echo admin_url('admin-ajax.php?action=wpdm_op_form_handler&__opm='.$id.'&__nonce='.wp_create_nonce(NONCE_KEY.'wpdm_op_form_handler')); ?>',
                success: function (res) {
                    $('#wpdm-optinmagic-form').after("<div style='display:table;padding: 10px 30px 35px !important;box-shadow: none;position: absolute;z-index: 999999;width: 100%;height: 100%;left:0;top:0;background: rgba(255,255,255,0.95);border-radius: 4px'><div onclick='closePopup()' style='display: table-cell;vertical-align: middle;color:#15B458;font-size: 14pt;letter-spacing: 1px;text-align: center'>"+checkmarkSVG+""+compMsg+"</div></div>");
                    setTimeout('closePopup()', 2000);
                }
            });
        });

        WebFont.load({
            google: {
                families: ['<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_hfont', 'Bitter'); ?>','<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_pfont', 'Barlow Semi Condensed'); ?>']
            }
        });

    });

</script>



</body>
</html>

