<?php
    if ( ! defined( 'ABSPATH' ) ) {
            exit; // Exit if accessed directly
    }
    $options = get_option('_wpdm_pl_options', array());

    $list_title = $list->name;
    $list_url = get_permalink($options['shortcode_page']).'?list='.$list->list_id;

?>
<script>
    var share_window_properties = 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600';
</script>
<div class="wpdm-list-share">
    <span class="list-share-title"><?php _e('Share this list with your friends',''); ?></span>
    <ul class="social-icon-links ml-0" style="margin: 5px 0 0 0 !important;">
        <?php if(isset($options['facebook'])){ ?>
            <li><a class="fb-share-icon" target="_blank" onclick="javascript:window.open(this.href,'', share_window_properties);return false;"
                   href="https://www.facebook.com/sharer/sharer.php?u=<?php echo urlencode($list_url); ?>"><i class="fab fa-facebook"></i></a></li>
        <?php } ?>
        <?php if(isset($options['twitter'])){ ?>
            <li><a class="tw-share-icon" target="_blank" onclick="javascript:window.open(this.href,'', share_window_properties);return false;"
                   href="https://twitter.com/intent/tweet?text=<?php echo urlencode($list_title); ?>&url=<?php echo urlencode($list_url); ?>"><i class="fab fa-twitter"></i></a></li>
        <?php } ?>
        <?php if( isset($options['linkedin'])){ ?>
            <li><a class="li-share-icon" target="_blank" href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo urlencode($list_url); ?>&title=<?php echo urlencode($list_title); ?>"
                   onclick="javascript:window.open(this.href,'', share_window_properties);return false;"><i class="fab fa-linkedin-in"></i></a></li>
        <?php } ?>
        <?php if(isset($options['pinterest'])){ ?>
            <li><a class="pi-share-icon" target="_blank" href="http://www.pinterest.com/pin/create/button/?url=<?php echo urlencode($list_url); ?>&text=<?php echo urlencode($list_title); ?>&media=<?php echo $list_thumb_url; ?>"
                   onclick="javascript:window.open(this.href, '', share_window_properties);return false;"><i class="fab fa-pinterest"></i></a></li>
        <?php } ?>
        <?php if( isset($options['email']) ){ ?>
            <li><a class="em-share-icon" target="_blank" href="mailto:&subject=<?php echo $list_title; ?>&msg=<?php echo $list_title; ?>: <?php echo urlencode($list_url); ?>"
                   onclick="javascript:window.open(this.href,'', share_window_properties);return false;"><i class="fa fa-envelope"></i></a></li>
        <?php } ?>
    </ul>
</div>
