<?php
/**
 * Base: wpdmpro
 * Developer: shahjada
 * Team: W3 Eden
 * Date: 8/6/20 10:10
 */

if (!defined("ABSPATH")) die();

global $post;
$options = get_post_meta($post->ID, '__wpdm_pdf_stamper', true);

wp_nonce_field('wpdm_pdf_stampers', 'wpdm_pdf_stampers_nonce');
?>
<div id="file_settings_table">

    <div class="panel panel-default" id="version_row">
        <div class="panel-heading">Stamp this PDF:</div>

        <div class="panel-body">

            <div class="form-group">
                <label style="margin-right: 10px !important;display: inline-block"><input type="radio" name="file[pdf_stamper][bypass]" id="global-bypass" value="global"
                        <?php if (!isset($options['bypass']) || $options['bypass'] == 'global') {
                            echo "checked='checked'";
                        } ?>>
                    Use Global
                </label>

                <label style="margin-right: 10px !important;display: inline-block"><input type="radio" name="file[pdf_stamper][bypass]" id="dont-bypass" value="no"
                        <?php if (isset($options['bypass']) && $options['bypass'] == 'no') {
                            echo "checked='checked'";
                        } ?>>
                    Stamp
                </label>

                <label><input type="radio" name="file[pdf_stamper][bypass]" id="bypass" value="yes"
                        <?php if (isset($options['bypass']) && $options['bypass'] == 'yes') {
                            echo "checked='checked'";
                        } ?>>
                    Don't Stamp
                </label>
            </div>


        </div>
    </div>
    <div class="panel panel-default" id="link_label_row" style="overflow: hidden">
        <div class="panel-heading">File Permissions:</div>
        <div class="pdfstamp panel-heading" style="margin-bottom: -1px;">
            <label><input type="checkbox" name="file[pdf_stamper][encrypt]" id="pdfs_encription"
                          value="yes" <?php if (isset($options['encrypt']) && $options['encrypt'] == 'yes') {
                    echo "checked='checked'";
                } ?>> Enable Encryption For This Package</label>
        </div>
        <div class="panel-body pdfstamp pdfs_encription">
            <div class="form-group">
                <strong>Open Password: </strong>
                <label> <input type='checkbox' name='file[pdf_stamper][password1]' id=''
                              value="yes" <?php if (isset($options['password1']) && $options['password1'] == 'yes') {
                        echo "checked='checked'";
                    } ?> /> Enable password protection?</label>
            </div>

            <div class="form-group">
                <label>Password to open this file, [leave blank to set order id as password]</label>
                <input type='text' name='file[pdf_stamper][open_pass]' id=''
                       value="<?php if (isset($options['open_pass']) && $options['open_pass'] != '') {
                           echo $options['open_pass'];
                       } ?>" class="form-control input-sm"/>
            </div>
            <div class="form-group">

                <strong>Owner Password: </strong> <label> <input type='checkbox' name='file[pdf_stamper][password2]' id=''
                              value="yes" <?php if (isset($options['password2']) && $options['password2'] == 'yes') {
                        echo "checked='checked'";
                    } ?> /> Enable full access password?</label>

            </div>
            <div class="form-group">
                <label>Full access password to open this file, [leave blank to set order id as password]</label>
                <input type='text' name='file[pdf_stamper][owner_pass]' id=''
                       value="<?php if (isset($options['owner_pass']) && $options['owner_pass'] != '') {
                           echo $options['owner_pass'];
                       } ?>" class="form-control input-sm"/>
            </div>
            <div class="form-group">
                <strong style="display: block;margin-bottom: 10px">Other Permissions:</strong>
                <div class="list-group">
                    <label class="list-group-item"><input type="checkbox" name="file[pdf_stamper][permission][]" id=""
                                  value="print" <?php if (isset($options['permission']) && in_array('print', $options['permission'])) {
                            echo "checked='checked'";
                        } ?>> Allow user to print the document</label>
                    <label class="list-group-item"><input type="checkbox" name="file[pdf_stamper][permission][]" id=""
                                  value="modify" <?php if (isset($options['permission']) && in_array('modify', $options['permission'])) {
                            echo "checked='checked'";
                        } ?>> Allow user to modify the document</label>
                    <label class="list-group-item"><input type="checkbox" name="file[pdf_stamper][permission][]" id=""
                                  value="copy" <?php if (isset($options['permission']) && in_array('copy', $options['permission'])) {
                            echo "checked='checked'";
                        } ?>> Allow user to copy text and graphics from the document</label>
                    <label class="list-group-item"><input type="checkbox" name="file[pdf_stamper][permission][]" id=""
                                  value="annot-forms" <?php if (isset($options['permission']) && in_array('annot-forms', $options['permission'])) {
                            echo "checked='checked'";
                        } ?>> Allow user to add or modify text annotations</label>
                </div>
            </div>


        </div>
    </div>
</div>
    <script>
        jQuery(function ($) {
            function hideEncrypt() {
                if ($("#pdfs_encription").is(':checked'))
                    $(".pdfs_encription").show(); // checked
                else
                    $(".pdfs_encription").hide(); // unchecked
            }

            hideEncrypt();

            $('body').on('change', '#pdfs_encription', function () {
                hideEncrypt();
            });
        });
    </script>
    <style>
        .postbox .pdfstamp label {
            font-weight: normal;
        }

        h3.pdfs_encription {
            padding: 10px 0;
        }
    </style>
