<?php

/**
 * Base: wpdmpro
 * Developer: shahjada
 * Team: W3 Eden
 * Date: 5/6/20 11:54
 */
if (!defined("ABSPATH")) die();

$options = get_option('wpdm_pdf_stamper', array());
//echo '<pre>';
//print_r($options);
//echo "</pre>";
$general = $style = $position = array();
if (isset($options['general']) && is_array($options['general'])) $general = $options['general'];
if (isset($options['style']) && is_array($options['style'])) $style = $options['style'];
if (isset($options['position']) && is_array($options['position'])) $position = $options['position'];


?>
<div class="panel panel-default">
    <div class="panel-heading">General</div>
    <table class="table table-stripped frm" cellspacing="0" cellpadding="5" width="100%">
        <tbody>
            <tr>
                <td style="width: 200px">Watermark Type</td>
                <td>
                    <select name="pdf_stamp[general][watermark_type]" id="watermark_type">
                        <option value="text" <?php if (isset($general['watermark_type']) && $general['watermark_type'] == 'text') {
                                                    echo "selected='selected'";
                                                } ?>>Text Based</option>
                        <option value="image" <?php if (isset($general['watermark_type']) && $general['watermark_type'] == 'image') {
                                                    echo "selected='selected'";
                                                } ?>>Image Based</option>
                    </select>
                </td>
            </tr>

            <!-- watermark image -->
            <tr class="image">
                <td>Watermark Image</td>
                <td>
                    <div class="input-group"><input type="text" class="form-control" name="pdf_stamp[general][watermark_image]" id="watermark_image" value="<?php if (isset($general['watermark_image']) && $general['watermark_image'] != '') {
                                                                                                                                                                echo $general['watermark_image'];
                                                                                                                                                            } ?>" />
                        <span class="input-group-btn"><button type="button" class="btn btn-default" id="watermark_image_button">Browse</button></span></div>
                </td>
            </tr>
            <tr class="image">
                <td>Watermark Transparency</td>
                <td>
                    <div class="input-group" style="width: 150px"><input type="number" min="0" max="100" class="form-control" name="pdf_stamp[general][watermark_opacity]" id="watermark_opacity" value="<?php echo (isset($general['watermark_opacity']) && $general['watermark_opacity'] != '') ? (int) $general['watermark_opacity'] : 50; ?>" /><span class="input-group-addon">%</span></div>
                </td>
            </tr>

            <!-- watermark text -->
            <tr class="text">
                <td>Watermark Text</td>
                <td>
                    <textarea name="pdf_stamp[general][watermark_text]" id="watermark_text" class="form-control" rows="5"><?php if (isset($general['watermark_text']) && $general['watermark_text'] != '') {
                                                                                                                            echo stripslashes($general['watermark_text']);
                                                                                                                        } ?></textarea>
                    <p class="description">
                        {name} - First name<br>
                        {fullname} - Full name, first and last <br>
                        {username} - Username on the site, if they registered an account<br>
                        {email} - User's email address<br>
                        {date} - The date of the purchase<br>
                        {publish_date} - Package publish date<br>
                        {download_date} - The date when user downloads the pdf<br>
                        {order_id} - The unique ID number for this purchase receipt<br>
                        {sitename} - Your site name<br>
                        {br} - for new line<br>
                    </p>
                    <div class="well" style="border: 0;box-shadow: none !important;background: #f5f5f5 !important;">
                        You also may use package info related template tags. Available template tags listed <a target="_blank" style="font-weight: 900" href="http://www.wpdownloadmanager.com/doc/templates/template-tags/">here <i class="fa fa-link"></i></>
                    </div>
                </td>
            </tr>


            <tr>
                <td>Watermark Pages</td>
                <td>
                    <select name='pdf_stamp[general][watermark_pages]' id='watermark_pages'>
                        <option value="all" <?php if (isset($general['watermark_pages']) && $general['watermark_pages'] == 'all') {
                                                echo "selected='selected'";
                                            } ?>>All Pages</option>
                        <option value="all_except_first" <?php if (isset($general['watermark_pages']) && $general['watermark_pages'] == 'all_except_first') {
                                                                echo "selected='selected'";
                                                            } ?>>All except first page</option>
                        <option value="first" <?php if (isset($general['watermark_pages']) && $general['watermark_pages'] == 'first') {
                                                    echo "selected='selected'";
                                                } ?>>First Page Only</option>
                        <option value="last" <?php if (isset($general['watermark_pages']) && $general['watermark_pages'] == 'last') {
                                                    echo "selected='selected'";
                                                } ?>>Last Page Only</option>
                        <option value="even" <?php if (isset($general['watermark_pages']) && $general['watermark_pages'] == 'even') {
                                                    echo "selected='selected'";
                                                } ?>>Even Pages</option>
                        <option value="odd" <?php if (isset($general['watermark_pages']) && $general['watermark_pages'] == 'odd') {
                                                echo "selected='selected'";
                                            } ?>>Odd Pages</option>
                    </select>
                </td>
            </tr>

            <tr>
                <td>Should Stamp By default</td>
                <td>
                    <select name='pdf_stamp[general][should_stamp_default]' id='should_stamp_default'>
                        <option value="yes" <?php if (isset($general['should_stamp_default']) && $general['should_stamp_default'] == 'yes') {
                                                echo "selected='selected'";
                                            } ?>>Yes</option>
                        <option value="no" <?php if (isset($general['should_stamp_default']) && $general['should_stamp_default'] == 'no') {
                                                echo "selected='selected'";
                                            } ?>>No</option>

                    </select>
                </td>
            </tr>

        </tbody>
    </table>
</div>

<div class="panel panel-default" id="textstyles">
    <div class="panel-heading">Font & Text Styles</div>
    <table class="table table-stripped frm" cellspacing="0" cellpadding="5" width="100%">
        <tbody>
            <tr class="text">
                <td>Select Font</td>
                <td>
                    <select name="pdf_stamp[style][font]" id="font" class="input-large">
                        <option value="Helvetica" <?php if (isset($style['font']) && $style['font'] == "Helvetica") {
                                                        echo "selected='selected'";
                                                    } ?>>Helvetica</option>
                        <option value="Courier" <?php if (isset($style['font']) && $style['font'] == "Courier") {
                                                    echo "selected='selected'";
                                                } ?>>Courier</option>
                        <option value="Symbol" <?php if (isset($style['font']) && $style['font'] == "Symbol") {
                                                    echo "selected='selected'";
                                                } ?>>Symbol</option>
                        <option value="ZapfDingbats" <?php if (isset($style['font']) && $style['font'] == "ZapfDingbats") {
                                                            echo "selected='selected'";
                                                        } ?>>ZapfDingbats</option>
                    </select>
                </td>
            </tr>

            <tr>
                <td>Font Size</td>
                <td>
                    <input type="number" class="form-control input-sm" min="8" step="1" name="pdf_stamp[style][font_size]" id="font_size" value="<?php if (isset($style['font_size']) && $style['font_size'] != '') {
                                                                                                                                                        echo $style['font_size'];
                                                                                                                                                    } ?>" />
                </td>
            </tr>

            <tr>
                <td>Font Offset / Line Height</td>
                <td>
                    <input type="number" class="form-control input-sm" min="1" step="1" name="pdf_stamp[style][font_offset]" id="font_offset" value="<?php if (isset($style['font_offset']) && $style['font_offset'] !== '') {
                                                                                                                                                            echo $style['font_offset'];
                                                                                                                                                        } ?>" />
                </td>
            </tr>

            <tr>
                <td>Font Style</td>
                <td>
                    <label><input type="checkbox" value="B" name="pdf_stamp[style][font_style][]" <?php if (isset($style['font_style']) && in_array("B", $style['font_style'])) {
                                                                                                        echo "checked='checked'";
                                                                                                    } ?> /> Bold</label> <br>
                    <label><input type="checkbox" value="I" name="pdf_stamp[style][font_style][]" <?php if (isset($style['font_style']) && in_array("I", $style['font_style'])) {
                                                                                                        echo "checked='checked'";
                                                                                                    } ?> /> Italic</label> <br>
                    <label><input type="checkbox" value="U" name="pdf_stamp[style][font_style][]" <?php if (isset($style['font_style']) && in_array("U", $style['font_style'])) {
                                                                                                        echo "checked='checked'";
                                                                                                    } ?> /> Underline</label> <br>
                </td>
            </tr>

            <tr>
                <td>Font Color</td>
                <td>
                    <input id="font_color" class="wpcolorpicker" type="text" name="pdf_stamp[style][font_color]" value="<?php if (isset($style['font_color']) && $style['font_color'] != '') {
                                                                                                                            echo $style['font_color'];
                                                                                                                        } ?>" />
                </td>
            </tr>
        </tbody>
    </table>
</div>

<div class="panel panel-default">
    <div class="panel-heading">Position</div>
    <table class="table table-stripped frm" cellspacing="0" cellpadding="5" width="100%">
        <tbody>
            <tr>
                <td>Horizontal</td>
                <td>
                    <select name="pdf_stamp[position][horizontal]" id="horizontal">
                        <option value="left" <?php if (isset($position['horizontal']) && $position['horizontal'] == 'left') {
                                                    echo "selected='selected'";
                                                } ?>>Left</option>
                        <option value="right" <?php if (isset($position['horizontal']) && $position['horizontal'] == 'right') {
                                                    echo "selected='selected'";
                                                } ?>>Right</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Vertical</td>
                <td>
                    <select name="pdf_stamp[position][vertical]" id="vertical">
                        <option value="top" <?php if (isset($position['vertical']) && $position['vertical'] == 'top') {
                                                echo "selected='selected'";
                                            } ?>>Top</option>
                        <option value="bottom" <?php if (isset($position['vertical']) && $position['vertical'] == 'bottom') {
                                                    echo "selected='selected'";
                                                } ?>>Bottom</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td>Horizontal (advanced)</td>
                <td>
                    <input type="text" class="form-control input-sm" name="pdf_stamp[position][horizontal_advanced]" id="horizontal" value="<?php if (isset($position['horizontal_advanced']) && $position['horizontal_advanced'] != '') {
                                                                                                                                                echo $position['horizontal_advanced'];
                                                                                                                                            } ?>">
                    <p class="description">Coordinate in mm, overrides horizontal position</p>
                </td>
            </tr>
            <tr>
                <td>Vertical (advanced)</td>
                <td>
                    <input type="text" class="form-control input-sm" name="pdf_stamp[position][vertical_advanced]" id="horizontal" value="<?php if (isset($position['vertical_advanced']) && $position['vertical_advanced'] != '') {
                                                                                                                                                echo $position['vertical_advanced'];
                                                                                                                                            } ?>">
                    <p class="description">Coordinate in mm, overrides vertical position</p>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<script type="text/javascript">
    jQuery(function($) {
        function hideTI() {
            var val = $('#watermark_type').val();
            if (val === 'text') {
                $('#textstyles,.text').show();
                $('.image').hide();

            } else {
                $('#textstyles,.text').hide();
                $('.image').show();
            }
        }
        hideTI();

        $('body').on('change', '#watermark_type', hideTI);

        $("body").on('click', "#watermark_image_button", function() {
            tb_show("", "media-upload.php?post_id=0&amp;type=image&amp;TB_iframe=true");
            window.original_send_to_editor = window.send_to_editor;
            window.send_to_editor = function(html) {
                var url = $(html).attr('href');
                if (!url) {
                    url = $(html).attr('src');
                };
                $("#watermark_image").val(url);
                tb_remove();
                window.send_to_editor = window.original_send_to_editor;
            };
            return false;
        });

        $('.wpcolorpicker').wpColorPicker();

    });
</script>
