<?php
/**
 * Template for Single Review
 *
 * This template can be overridden by copying it to /active-theme/download-manager/review-summary.php
 *
 * @version     1.1.0
 */
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}
?>
<div class="panel panel-default card mt-4 mb-3">
    <div class="panel-body card-body">
        <div class="media">
            <div class="media-body">
                <strong style="font-size: 14pt;line-height: 32px">User Reviews</strong>
            </div>
            <div class="ml-3 ttip" title="Average Rating: <?php echo $avgrating; ?> / 5 ">
                <div class="d-inline-block rinfo">
                    <?php self::rating_stars($avgrating, true); ?>
                </div>
            </div>
        </div>
    </div>
</div>
