<div class="w3eden wrap">
        <div id="wpdm-wrapper-panel" class="panel panel-default">
            <div class="panel-heading">
                <button id="saveformbtn" style="margin-right: 0" type="button" class="btn btn-primary pull-right" data-toggle="modal" data-target="#modal" >
                    Change Subscriptions
                </button>
                <b><i class="fa fa-user-circle" style="margin-right: 5px"></i> <?php _e('Subscriber', WPPM_TEXTDOMAIN); ?>: <?= $user->display_name ?> ( <?= $user->user_email ?> )</b>
            </div>


            <div style="padding: 80px 20px 0 0">




    <?php if (count($subscriptions)) : ?>
        <table class="table table-striped">
            <thead>
                <tr>
                    <th><?php _e('ID', WPPM_TEXTDOMAIN); ?></th>
                    <th><?php _e('Plan', WPPM_TEXTDOMAIN); ?></th>
                    <th><?php _e('Status', WPPM_TEXTDOMAIN); ?></th>
                    <th><?php _e('Payment System', WPPM_TEXTDOMAIN); ?></th>
                    <th><?php _e('Payment System Subscription ID', WPPM_TEXTDOMAIN); ?></th>
                    <th><?php _e('Created At', WPPM_TEXTDOMAIN); ?></th>
                    <th><?php _e('Expires At', WPPM_TEXTDOMAIN); ?></th>
                    <th class="text-right"><?php _e('Total Payment', WPPM_TEXTDOMAIN); ?></th>
                </tr>
            </thead>
            <tbody>
                <?php
                foreach ($subscriptions as $subscription) :
                    $plan = $subscription->getPlan();
                    //pd($subscription);
                    ?>
                    <tr>
                        <td><?= $subscription->getId(); ?></td>
                        <td><?= $plan ? $plan->getName() : '-'; ?></td>
                        <td><?= $subscription->getSubscriptionStatus() === 'ACTIVE' ? '<i class="fas fa-check-double text-success"></i>' : '<i class="fas fa-times text-danger"></i>'; ?> <?= $subscription->getSubscriptionStatus(); ?></td>
                        <td><?= $subscription->getPaymentSystemId(); ?></td>
                        <td><?= $subscription->getPaymentSystemSubscriptionId(); ?></td>
                        <td><?= wppm_get_formatted_datetime($subscription->getCreatedAt()); ?></td>
                        <td><?= wppm_get_formatted_datetime($subscription->getExpiresAt()); ?></td>
                        <td class="text-right"><?= wpdmpp_price_format($subscription->getTotalInvoicesAmount()); ?></td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    <?php else :  ?>
        <p><?php _e('No subscriptions history found!', WPPM_TEXTDOMAIN); ?></p>
    <?php endif; ?>


            </div>


        </div>


    <!-- Modal -->
    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <form name="user-plans" method="POST" action="">

                <div class="modal-content">
                    <div class="modal-header border-0">
                        <h4 class="modal-title" id="modalLabel">Change Subscriptions For: <?= $user->display_name ?></h4>
                    </div>

                    <!-- Manage User's Plan -->
                    <?php WPPM()->account_manager->renderUserPlansSelection($user->ID); ?>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save changes</button>
                    </div>

                </div>
            </form>
        </div>
    </div>
</div>
