<?php

namespace WPDM\WPPM\Invoice;


abstract class InvoiceParser
{
    protected $_data;

    public function setData($data)
    {
        $this->_data = maybe_json_decode($data, true);
    }

    abstract function getPaymentDate();
    abstract function getAmount();
    abstract function getCurrencyCode();
}
