<!-- sandbox settings -->
<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title"><?= __("Test Settings", WPPM_TEXTDOMAIN) ?></h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label><?= __("Secret Key", WPPM_TEXTDOMAIN) ?></label>
            <input type="text" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[test][secret_key]" value="<?= $payment_system->getSettingValue('test/secret_key') ?>" />
        </div>

        <div class="form-group">
            <label><?= __("Publishable Key", WPPM_TEXTDOMAIN) ?></label>
            <input type="text" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[test][publishable_key]" value="<?= $payment_system->getSettingValue('test/publishable_key') ?>" />
        </div>

        <div class="form-group">
            <label><?= __("Webhook", WPPM_TEXTDOMAIN) ?></label>
            <input type="hidden" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[test][webhook][id]" value="<?= $payment_system->getSettingValue('test/webhook/id') ?>" />
            <input type="hidden" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[test][webhook][url]" value="<?= $payment_system->getSettingValue('test/webhook/url') ?>" />
            <?php if ($payment_system->getSettingValue('test/webhook/id')) : ?>
                <p>URL <code><?= $payment_system->getSettingValue('test/webhook/url') ?></code></p>
                <p>ID <code><?= $payment_system->getSettingValue('test/webhook/id') ?></code></p>
            <?php else : ?>
                <p>No webhook found.</p>
            <?php endif ?>
        </div>
    </div>
</div>

<!-- live settings -->
<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title">Live Settings</h3>
    </div>
    <div class="panel-body">
        <div class="form-group">
            <label><?= __("Secret key", WPPM_TEXTDOMAIN) ?></label>
            <input type="text" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[live][secret_key]" value="<?= $payment_system->getSettingValue('live/secret_key') ?>" />
        </div>

        <div class="form-group">
            <label><?= __("Publishable Key", WPPM_TEXTDOMAIN) ?></label>
            <input type="text" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[live][publishable_key]" value="<?= $payment_system->getSettingValue('live/publishable_key') ?>" />
        </div>

        <div class="form-group">
            <label><?= __("Webhook", WPPM_TEXTDOMAIN) ?></label>
            <input type="hidden" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[live][webhook][id]" value="<?= $payment_system->getSettingValue('live/webhook/id') ?>" />
            <input type="hidden" class="form-control" name="<?= $payment_system->getSettingsFormKey() ?>[live][webhook][url]" value="<?= $payment_system->getSettingValue('live/webhook/url') ?>" />
            <?php if ($payment_system->getSettingValue('live/webhook/id')) : ?>
                <p>URL <code><?= $payment_system->getSettingValue('live/webhook/url') ?></code></p>
                <p>ID <code><?= $payment_system->getSettingValue('live/webhook/id') ?></code></p>
            <?php else : ?>
                <p>No webhook found.</p>
            <?php endif ?>
        </div>
    </div>
</div>