<?php

if (!defined('ABSPATH')) die();

global $wppm;
?>

<div class="plan-list list-group list-group-flush" style="cursor: pointer;margin-top: -1px">
    <?php foreach ($plans as $plan) : ?>

        <?php if ($plan->isSubscriptionAllowed()) : ?>

            <label class="list-group-item ttip" <?= (in_array($plan->getId(), $active_plan_ids)) ? 'style="opacity: 0.3;cursor: not-allowed" title="' . __('You already subscribed for this plan', 'wppromembership') . '"' : ""; ?>>
                <div class="media">
                    <div class="pull-left" style="width: 35px;text-align: center">
                        <div class="wppm-custom-radio">
                            <input type="radio" role="plan-selection" name="plan_id" <?= checked($selected_plan_id, $plan->getId()); ?> value="<?= $plan->getId(); ?>" <?= in_array($plan->getId(), $active_plan_ids) ?  'disabled=disabled' : ''; ?> class="wppm-plan <?= $plan->isFree() ? 'free' : 'paid' ?> " data-initpay="<?= $plan->getInitialAmount(); ?>" data-recpay="<?= $plan->getBillingAmount() ?>" style="transform: scale(1.5);">&nbsp;
                            <span class="checkmark"></span>
                        </div>
                    </div>
                    <div class="media-body">
                        <h3 class="fetfont ucase"><span class="pull-right color-green"><?= $plan->getBillingText() ?></span><?= $plan->name; ?>
                        </h3>
                        <div class="note">
                            <?= strip_tags($plan->getDescription()) ?: wpautop($plan->getCostText()); ?>
                        </div>
                    </div>
                </div>
            </label>
        <?php endif ?>
    <?php endforeach  ?>
</div>