<?php

use WPDM\WPPM\Invoice\InvoiceFilter;
use WPDM\WPPM\Invoice\InvoiceManager;
use WPDM\WPPM\Subscription\SubscriptionFilter;
use WPDM\WPPM\Subscription\SubscriptionManager;

$sub_manager = SubscriptionManager::getInstance();
$invoice_mananger = InvoiceManager::getInstance();

?>

<div class="panel panel-default">
    <div class="panel-heading">
        Subscriptions And Revenue
    </div>

    <div class="panel-body-np">
        <table class="table">
            <thead>
                <th></th>
                <th>Subscriptions</th>
                <th>Revenue</th>
            </thead>
            <tr>
                <td>Today</td>
                <td>
                    <?php
                    $filter = new SubscriptionFilter();
                    $filter->setInterval('TODAY');
                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
                <td>
                    <?php
                    $inv_filter = new InvoiceFilter();
                    $inv_filter->setInterval('TODAY');
                    echo  $invoice_mananger->sumAmount($inv_filter);
                    ?>
                </td>
            </tr>

            <tr>
                <td>This Month</td>
                <td>
                    <?php
                    $filter = new SubscriptionFilter();
                    $filter->setInterval('THIS_MONTH');

                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
                <td>
                    <?php
                    $inv_filter->setInterval('THIS_MONTH');
                    echo  $invoice_mananger->sumAmount($inv_filter);
                    ?>
                </td>
            </tr>

            <tr>
                <td>This Year</td>
                <td>
                    <?php
                    $filter = new SubscriptionFilter();
                    $filter->setInterval('THIS_YEAR');

                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
                <td>
                    <?php
                    $inv_filter->setInterval('THIS_YEAR');
                    echo  $invoice_mananger->sumAmount($inv_filter);
                    ?>
                </td>
            </tr>

            <tr>
                <td>All Time</td>
                <td>
                    <?php
                    echo  $sub_manager->countSubscriptions();
                    ?>
                </td>
                <td>
                    <?php
                    $inv_filter->setInterval('ANYTIME');
                    echo  $invoice_mananger->sumAmount($inv_filter);
                    ?>
                </td>
            </tr>
        </table>
    </div>
</div>