<?php

class affiliateCommission{
    private $table,$messages,$errors;
    public function __construct() {
        global $wpdb;
        $this->table = $wpdb->prefix .'affiliate_payout';
        $this->messages = array();
        $this->errors = array();
        
        if(isset($_REQUEST['page']) && $_REQUEST['page']=="wpmp-affiliate-payouts"){
            ob_start();    
            if(isset($_REQUEST['page_now'])){
                if($_REQUEST['page_now']=="dues"){
                    //dues page
                    $this->payoutDues();
                }
                else if($_REQUEST['page_now']=='settings'){
                    //settings page
                    $this->payoutSettings();
                }
            }
            else {
                //now on all payouts page
                $this->allPayouts();
            }
            
            $content = ob_get_clean();
            echo $this->getHeader();
            echo $content;
            echo $this->getFooter();
            
        }
        
    }
    
    private function allPayouts(){
        global $wpdb;
        if (! empty( $_POST ) && check_admin_referer( 'wp_membership_affiliate_commission', 'affiliate_commission_all_payout' ) ) {
            if($_POST['payout_status']!=="-1" && $_POST['payout_status']!=="2"){
                if($_POST['poutid']){
                    foreach($_POST['poutid'] as $payout_id){
                        $wpdb->update( 
                            $this->table, 
                            array( 
                                'status' => $_POST['payout_status']    

                            ), 
                            array( 'id' => $payout_id ), 
                            array( '%d' ), 
                            array( '%d' ) 
                        );
                    }
                }
            }
            if($_POST['payout_status']=="2"){
               if($_POST['poutid']){
                    foreach($_POST['poutid'] as $payout_id){
                        $wpdb->query("delete from {$this->table} where id={$payout_id}"); 

                    }
                } 
            }
            }
        
        ?>
            <form method="post" action="">
                <?php wp_nonce_field( 'wp_membership_affiliate_commission','affiliate_commission_all_payout' ); ?>
                <table class="widefat">
                    <thead>
                        <tr>
                            <th scope="col" id="cb" class="manage-column column-cb check-column" style=""></th>
                            <th scope="col"><span><?php echo __("Userid","wp-membership");?></span></th>
                            <th scope="col"><span><?php echo __("Username","wp-membership");?></span></th>
                            <th scope="col"><span><?php echo __("Amount","wp-membership");?></span></th>
                            <th scope="col"><span><?php echo __("Status","wp-membership");?></span></th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th scope="col" id="cb" class="manage-column column-cb check-column" style=""></th>
                            <th scope="col"><span><?php echo __("Userid","wp-membership");?></span></th>
                            <th scope="col"><span><?php echo __("Username","wp-membership");?></span></th>
                            <th scope="col"><span><?php echo __("Amount","wp-membership");?></span></th>
                            <th scope="col"><span><?php echo __("Status","wp-membership");?></span></th>
                        </tr>
                    </tfoot>

            <?php
                $query = "SELECT * FROM `{$this->table}`";
                $results = $wpdb->get_results($query,ARRAY_A);
                if(!empty($results)){
                    foreach ($results as $row):
                        $user_id = $row['user_id'];
                        $amount = $row['amount'];
                        $status = $row['status'];
                        if($status=="0") {
                            $status = "pending";
                        }
                        else if($status=="1"){
                            $status = "Completed";
                        }

                        $user = get_userdata($user_id);
                        if($user->first_name != '' || $user->last_name != ''){
                            $name = $user->first_name . ' ' . $user->last_name;
                        }
                        else {
                            $name = $user->display_name;
                        }
                        $user = null;
            ?>
                 <tr>
                     <td><input type="checkbox" name="poutid[]" value="<?php echo $row['id']; ?>"/></td>
                     <td><?php echo $user_id; ?></td>
                     <td><?php echo $name; ?></td>
                     <td><?php echo '$' . $amount; ?></td>
                     <td><?php echo $status; ?></td>
                 </tr>
            <?php


                    endforeach;
                    
            ?>
                 <tr>
                     <td colspan="5">
                        <select name="payout_status">
                            <option value="-1">Payout Status:</option>
                            <option value="0">Pending</option>
                            <option value="1">Completed</option>
                            <option value="2">Delete</option>
                        </select>
                        <input type="submit" name="submit" id="submit" class="button button-primary" value="Apply"/>
                     </td>
                 </tr>
            <?php
             
                }
                else {
            ?>
                    <tr><td colspan="5"><?php _e('No records found.',MLM_TD);  ?></td></tr>

            <?php          
                }
            ?>

                </table>
            </form>
        <?php
    }


    

    private function payoutDues(){
        global $wpdb;
        $query = "SELECT * FROM `{$this->table}` WHERE status=0";
        $results = $wpdb->get_results($query,ARRAY_A);
        
    ?>
    <table class="widefat">
        <thead>
            <tr>
                <th scope="col"><span><?php echo __("Userid","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Username","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Amount","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Status","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Action","wp-membership");?></span></th>
            </tr>
        </thead>
        
        <tfoot>
            <tr>
                <th scope="col"><span><?php echo __("Userid","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Username","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Amount","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Status","wp-membership");?></span></th>
                <th scope="col"><span><?php echo __("Action","wp-membership");?></span></th>
            </tr>
        </tfoot>
        
    <?php
        if($results != NULL){
            foreach ($results as $row):
                $user_id = $row['user_id'];
                $amount = $row['amount'];
                $status = $row['status'];
                if($status=="0") {
                    $status = "pending";
                }
                $payform='
                <form action="https://www.paypal.com/cgi-bin/webscr" method="post" id="payPalForm" name="payPalForm" >
                    <input type="hidden" name="item_number" value="product">
                    <input type="hidden" name="cmd" value="_xclick">
                    <input type="hidden" name="no_note" value="1">
                    <input type="hidden" name="business" value="'.get_user_meta($user_id,'_wp_membership_affiliate_paypal',true).'">
                    <input type="hidden" name="currency_code" value="USD">
                    <input type="hidden" name="return" value="'.home_url().'/">
                    <input type="hidden" name="notify_url" value="'.home_url().'/?action=withdraw_paypal_notification">
                    <input name="item_name" type="hidden" id="item_name"  value="Affiliate Payback for site " ' . home_url() . '>
                    <input name="amount" type="hidden" id="amount" value="'.$amount.'">
                    <input type="hidden" name="custom" value="'.$user_id.'" >
                    <input name="sub" class="button" type="submit" id="sub" value="PayNow">
                </form>
                ';
                $user = get_userdata($user_id);
                if($user->first_name != '' || $user->last_name != ''){
                    $name = $user->first_name . ' ' . $user->last_name;
                }
                else {
                    $name = $user->display_name;
                }
                $user = null;
    ?>
            <tr>
                <td><?php echo $user_id; ?></td>
                <td><?php echo $name; ?></td>
                <td><?php echo '$' . $amount; ?></td>
                <td><?php echo $status; ?></td>
                <td><?php echo $payform; ?></td>
            </tr>
        
    <?php    
                
            endforeach;
            
            
        }else {
    ?>
        <tr><td colspan="5"><?php echo __('No Records Found.',MLM_TD); ?></td></tr>
    <?php    
        } //end of else
    ?>
        
    </table>
    
    <?php
    } //end of function payoutDues


    private function payoutSettings(){
        if (! empty( $_POST ) && check_admin_referer( 'wp_membership_affiliate_commission', 'affiliate_commission_settings' ) ) {
            $duration = (int) $_POST['duration'];
            if(is_int($duration) && $duration != ""){
                update_option('wp_membership_payout_duration', $duration);
                $this->messages[] = "Settings saved successfully";
            }
            else {
                $this->errors['duration'] = "Please enter a integer value here.";
                $this->messages[] = "Please Enter a integer value";
            }
        }
        $duration = get_option("wp_membership_payout_duration", "");
        
    ?>
        <h2>Payout Duration</h2>
        <form method="post">
             <?php wp_nonce_field( 'wp_membership_affiliate_commission','affiliate_commission_settings' ); ?>
            <table class="form-table">
                <tbody>
                <tr valign="top">
                    <th scope="row"><label for="duration">Duration of payout to mature: </label></th>
                    <td>
                        <input type="number" name="duration" value="<?php echo $duration;  ?>" id="duration" class="regular-text" />
                        <?php if(isset($this->errors['duration'])){ ?><p class="description"><?php echo $this->errors['duration']; ?></p> <?php } ?>
                    </td>
                </tr>

                </tbody>
            </table>
            <p class="submit">
                <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"/>
            </p>
        </form>
    <?php
    }

    private function getHeader(){
        $menu_css = $this->menuCss();
        $menu = $this->menu();
        $msg = "";
        if(!empty($this->messages)){
            $i = count($this->messages);
            $msg = "<div id='messages' class='error fade'><p>";
            foreach ($this->messages as $key => $value):
                $msg .= $value;
                if(--$i) {
                    $msg .= "<br>";
                }
            endforeach;
            $msg .= "</p></div>";
        }
        $str = <<<EOD
        {$menu_css}
        {$menu}
        <div class='wrap'>
            {$msg}
            <br />
                
EOD;
        return $str;
    }
    
    private function getFooter(){
        $str = <<<EOD
        </div>        
                
EOD;
        return $str;
    }
    
    private function menu(){
    ?>
<div class="wrap1">
    <header>
        <div class="icon icon32" id="icon-options-general"><br></div><h2><?php echo __("Affiliate Payouts","wp-membership");?> <img style="display: none;" id="wdms_loading" src="images/loading.gif" /></h2>
    </header>

    <nav> 
        <ol>
          <li class="<?php if($_REQUEST['page_now']=="" || $_REQUEST['page_now']=="all") echo "selected"; ?>"><a href='admin.php?page=wpmp-affiliate-payouts'><?php echo __("All Payouts","wp-membership");?></a></li>
          <li class="<?php if($_REQUEST['page_now']=="dues") echo "selected"; ?>"><a href='admin.php?page=wpmp-affiliate-payouts&page_now=dues'><?php echo __("Dues","wp-membership");?></a></li>         
          <li class="<?php if($_REQUEST['page_now']=="settings") echo "selected"; ?>"><a href='admin.php?page=wpmp-affiliate-payouts&page_now=settings'><?php echo __("Settings","wp-membership");?></a></li>         
        </ol>
    </nav>
</div>

    <?php
    }
    
    private function menuCss(){
        $str = <<< EOD
<style type="text/css" res="stylesheet">
.wrap1 nav{
    margin: 0px;  
}
 
.wrap1 header{
    margin-left:10px;
}

.wrap {
    margin-left:10px;
}
#wpcontent{
    margin-left: 160px;
}
                
#icon-options-general{
    margin-left: 15px;
}

#footer, #wpcontent{
    margin-left: 160px;
}

.cats li{   
    width:20%;
    float: left;
}

#icon-options-general{
    margin-left: 15px;
}

nav {
  height:28px;
  overflow:hidden;
}

nav ol {
    background: none repeat scroll 0 0 #BBBBBB;
    box-shadow: 0 2px 2px #999999 inset;
    height: 28px;
    margin: 0;
    padding: 0 5px;
    width: 103%;
}

nav li {
  -webkit-box-shadow:#888888 0 0 3px;
  background-image:-webkit-gradient(linear, 0 0%, 0 100%, from(#CCCCCC), to(#AAAAAA));
  background-position:initial initial;
  background-repeat:initial initial;
  border-bottom-left-radius:3px;
  border-bottom-right-radius:3px;
  box-shadow:#888888 0 0 3px;
  float:left;
  height:24px;
  line-height:24px;
  list-style:none;
  margin:0 2px;
  overflow:hidden;
  position:relative;
  width:180px;
}

nav li.selected {
    background: -moz-linear-gradient(center top , #E1E1E1, #D1D1D1) repeat scroll 0 0 rgba(0, 0, 0, 0);
}

nav li.selected a {
    box-shadow: none;
}
                
nav li a, nav li a:visited, nav li a:hover {
  -webkit-box-shadow:#888888 0 1px 1px inset;
  box-shadow:#888888 0 1px 1px inset;
  color:#333333;
  display:block;
  font-size:11px;
  height:24px;
  left:-2px;
  line-height:24px;
  list-style:none;
  position:absolute;
  text-align:center;
  text-shadow:#E8E8E8 0 1px 0;
  top:0;
  width:184px;
}
 
</style>

<!--[if IE]>
<style>
ul#navigation { 
border-bottom: 1px solid #999999;
}
</style>
<![endif]-->                
EOD;
        return $str;
    }
}

