<?php
if(!defined('WPINC')) {
    exit();
}

class AffiliateSettings {
    
    public function __construct() {
        $this->settingsPage();
    }
    
    private function settingsPage() {
	
	$data = get_option('ml_affiliate_settings');
		
	?>
	<div class="wrap">
            <h2><?php _e('Settings', MLM_TD); ?></h2>
            <?php
            if ( ! isset( $_REQUEST['settings-updated'] ) )
                    $_REQUEST['settings-updated'] = false;
            ?>
            <?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
            <div class="updated fade"><p><strong><?php _e( 'Options saved', MLM_TD ); ?></strong></p></div>
            <?php endif; ?>
            <form method="post" action="options.php" class="wpmp_options_form">

                <?php settings_fields( 'ml_affiliate_settings_group' ); ?>

                <table class="wp-list-table widefat fixed posts">

                    

                    <tr valign="top">
                        <th scope="row" style="width: 200px">
                            <label for="depth">Level Depth</label>
                        </th>
                        <td>
                            <select name='ml_affiliate_settings[depth]' id='depth'>
                                <option value='1' <?php selected(wpdm_valueof($data,'depth'),'1',true); ?>>1</option>
                                <option value='2' <?php selected(wpdm_valueof($data,'depth'),'2',true); ?>>2</option>
                                <option value='3' <?php selected(wpdm_valueof($data,'depth'),'3',true); ?>>3</option>
                                <option value='4' <?php selected(wpdm_valueof($data,'depth'),'4',true); ?>>4</option>
                                <option value='5' <?php selected(wpdm_valueof($data,'depth'),'5',true); ?>>5</option>
                                <option value='6' <?php selected(wpdm_valueof($data,'depth'),'6',true); ?>>6</option>
                            </select>
                            <p class='description'><?php echo isset($this->error['depth']) ? $this->error['depth'] : '';   ?></p>
                        </td>
                    </tr>



                    <tr valign="middle" id='level_cost_row'>

                        <td id='level_cost_td'>
                            <label for='lavel_cost_1'>First Level Commission</label>
                       </td><td>
                            <input type="text" name='ml_affiliate_settings[level_cost][]' id='level_cost_1' value="<?php echo isset($data['level_cost'][0]) ? $data['level_cost'][0]:'';   ?>">%
                        </td></tr><td>
                            <label for='lavel_cost_1'>2nd Level Commission</label>
                        </td><td>
                            <input type="text" name='ml_affiliate_settings[level_cost][]' id='level_cost_2' value="<?php echo isset($data['level_cost'][1]) ? $data['level_cost'][1]:'';   ?>">%
                        </td></tr><td>
                            <label for='lavel_cost_1'>3rd Level Commission</label>
                        </td><td>
                            <input type="text" name='ml_affiliate_settings[level_cost][]' id='level_cost_3' value="<?php echo isset($data['level_cost'][2]) ? $data['level_cost'][2]:'';   ?>">%
                        </td></tr><td>
                            <label for='lavel_cost_1'>4th Level Commission</label>
                        </td><td>
                            <input type="text" name='ml_affiliate_settings[level_cost][]' id='level_cost_4' value="<?php echo isset($data['level_cost'][3]) ? $data['level_cost'][3]:'';   ?>">%
                        </td></tr><td>
                            <label for='lavel_cost_1'>5th Level Commission</label>
                        </td><td>
                            <input type="text" name='ml_affiliate_settings[level_cost][]' id='level_cost_5' value="<?php echo isset($data['level_cost'][4]) ? $data['level_cost'][4]:'';   ?>">%
                        </td></tr><td>
                            <label for='lavel_cost_1'>6th Level Commission</label>
                        </td><td>
                            <input type="text" name='ml_affiliate_settings[level_cost][]' id='level_cost_6' value="<?php echo isset($data['level_cost'][5]) ? $data['level_cost'][5]:'';   ?>">%
                        </td></tr><td colspan="2">
                            <p class='description'><?php echo isset($this->error['level_cost']) ? $this->error['level_cost'] : '';   ?></p>
                        </td>
                    </tr>
                    

                </table>
                <!-- save the options -->
                <p class="submit">
                        <input type="submit" class="button-primary" value="<?php _e( 'Save Options', MLM_TD ); ?>" />
                </p>

            </form>
	</div><!--end .wrap-->
	<?php
}
    
    
}

