<div class='w3eden'>
    <?php echo $messages;?>
    <?php
    $_data = get_option('ml_affiliate_settings');
    $commission = wpdm_valueof($_data, 'level_cost/0');
    ?>
    <div class="card">
        <div class="card-header">Global Affiliate Link</div>
        <div class="card-body">
            <div class="input-group">
                <input type='text' value='<?php echo $url?>' readonly='readonly' id="swa" class='form-control'>
                <div class="input-group-append">
                    <button type="button" class="btn btn-secondary" title="Copy" onclick="wpaff_copy('swa');"><i class="fa fa-copy"></i></button>
                </div>
            </div>

        </div>
        <div class="card-footer">
            <div class="float-right">
                <strong><?= (100 - $commission); ?>%</strong>
            </div>
            Your commission per sale:
        </div>
    </div>

    <div class="card">
        <div class="card-header bg-light">
            <ul class="nav nav-tabs card-header-tabs" id="tabs" style="border-bottom: 0 !important;">
                <li class="nav-item"><a href="#list" data-toggle="tab" class="nav-link active">History</a></li>
                <li class="nav-item" ><a href="#visual_graph" class="nav-link"  data-toggle="tab">Affiliate Graph</a></li>
                <li class="nav-item" ><a href="#settings" class="nav-link" data-toggle="tab">Options</a></li>
            </ul>
        </div>
        <div class="card-body">
            <div class="tab-content">

                <div class="tab-pane fade show active" id="list"><?php echo $table;?></div>

                <div class="tab-pane fade" id="visual_graph"><?php echo $visual;?><div style="clear:both"></div></div>

                <div class="tab-pane" id="settings">

                    <div class="card">
                        <div class="card-header">Generate Product Affiliate Link</div>
                        <div class="card-body">
                            <div class="input-group">
                                <!--<span class="input-group-btn"><button type="btn" class="btn btn-default" data-toggle="modal" data-target="#myModal"><i class="fas fa-search"></i> Select Product</button></span>-->
                                <input type="text" placeholder="Paste Product URL Here" class="form-control" id="purl">
                                <span class="input-group-btn input-group-append"><button type="button" data-affid="<?php echo $aff_id?>" onclick="jQuery('#paff').val(jQuery('#purl').val()+(jQuery('#purl').val().indexOf('?') > 0?'&':'?')+'wpsaff='+jQuery(this).data('affid'));" class="btn btn-primary"><i class="fa fa-magic"></i> Generate</button></span>
                            </div>
                        </div>
                        <div class="card-footer">
                            <input id="paff" type='text' value='' onclick="this.select()" readonly='readonly' class='form-control'>
                        </div>
                    </div>

                    <form method='post' action='' id="trackbackdataform">
                        <input type='hidden' name='action' value='save_trackback' />
                        <div class="card">
                            <div class="card-header">Trackback URLs</div>
                            <div class="card-body">
                                <?php
                                $track = get_user_meta(get_current_user_id(), '__wpdmaff_trackback', true);
                                ?>
                                <div class="form-group">
                                    Signup Tracking URL:
                                    <input type='text' id='aff_signup' name='track[signup]' value='<?php echo @$track['signup']?>' class='form-control' />
                                </div>

                                <div class="form-group">
                                    Sales Tracking URL:
                                    <input type='text' id='aff_sale' name='track[sale]' value='<?php echo @$track['sale']?>' class='form-control' />
                                </div>

                                <div class="alert alert-info" style="box-shadow: none;font-size: 11pt;color: #555 !important">
                                    <b>Variables:</b><br/>
                                    Email: <span>{email}</span> , Name: <span>{name}</span>, Date: <span>{date}</span>, Transaction ID: <span>{tran_id}</span>, Purchase Amount: <span>{amount}</span>,
                                </div>


                            </div>
                            <div class="card-footer">
                                <button type="submit" id="trackbackdatabtn" class="btn btn-info">Save Changes</button>
                            </div>

                        </div>
                    </form>
                    <form method='post' action='' id="updatepplemail">
                        <div class="card">
                            <div class="card-header">Your Paypal Email Address:</div>
                            <div class="card-body">

                                <input type='hidden' name='affiliate_paypal_email' value='1' />

                                <input type='text' id='aff_paypal' name='affiliate_paypal_email_data' value='<?php echo $paypal?>' class='form-control' />

                            </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-info">Update Paypal Email</button>
                            </div>

                        </div>
                    </form>

                </div>

            </div>
        </div>
    </div>





    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel">Modal title</h4>
                </div>
                <div class="modal-body">
                    ...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
</div>
    <script type='text/javascript'>

        function wpaff_copy($id) {
            var copyText = document.getElementById($id);
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            document.execCommand("copy");
        }

        jQuery(function($){
            $('#myTab a').click(function (e) {
                e.preventDefault()
                $(this).tab('show')
            });

            $('#trackbackdataform').submit(function () {
                $('#trackbackdatabtn').html('<i class="fa fa-refresh fa-spin"></i> Saving....');
                $(this).ajaxSubmit({
                    url: ajax_url,
                    success: function (res) {
                        $('#trackbackdatabtn').html('<i class="fa fa-check-circle"></i> Saved!');
                    }
                });
                return false;
            });

            $('#updatepplemail').submit(function(event) {
                event.preventDefault();
                WPDM.blockUI('#updatepplemail');
                $(this).ajaxSubmit({
                    url: wpdm_url.ajax+'?action=ml_payout_req',
                    success: function(response) {
                        if(response.success === false)
                            WPDM.notify("<b>Error!</b><br/>"+response.message, 'error', 'top-right', 7000);
                        else
                            WPDM.notify("<b>Success!</b><br/>"+response.message, 'success', 'top-right', 7000);
                        WPDM.unblockUI('#updatepplemail');
                    }
                });
            })

        });

    </script>
<style>
    #wpdm-dashboard-contents .card-header-tabs .nav-item {
        margin-right: 5px;
        font-size: 14px;
        font-weight: bold;
    }
    .w3eden.user-dashboard .input-group-btn .btn{
        height: 36px;

    }
    #paff, #swa{ cursor: copy; }
</style>
