<div class='w3eden'>
    <?=$messages;?>
    <ul class="nav nav-tabs" id="tabs">
        <li class="active" style="margin-left:0 !important;"><a href="#list" data-toggle="tab">History</a></li>
        <li><a href="#visual_graph" data-toggle="tab">Affiliate Graph</a></li>
        <li><a href="#settings" data-toggle="tab">Options</a></li>
    </ul>
    <div class="tab-content">

        <div class="tab-pane fade fade in active" id="list"><?=$table;?></div>

        <div class="tab-pane fade" id="visual_graph"><?=$visual;?><div style="clear:both"></div></div>

        <div class="tab-pane" id="settings">



            <div class="panel panel-primary">
                <div class="panel-heading">Site-wide Affiliate Link</div>
                <div class="panel-body">
                    <input type='text' value='<?=$url?>' readonly='readonly' id="swa" class='form-control'>
                </div>
            </div>

            <div class="panel panel-primary">
                <div class="panel-heading">Generate Product Affiliate Link</div>
                <div class="panel-body">
                    <div class="input-group">
                        <span class="input-group-btn"><button type="btn" class="btn btn-default" data-toggle="modal" data-target="#myModal"><i class="fas fa-search"></i> Select Product</button></span>
                        <input type="text" placeholder="or Paste Product URL Here" class="form-control" id="purl">
                        <span class="input-group-btn"><button type="button" data-affid="<?=$aff_id?>" onclick="jQuery('#paff').val(jQuery('#purl').val()+(jQuery('#purl').val().indexOf('?') > 0?'&':'?')+'wpsaff='+jQuery(this).data('affid'));" class="btn btn-inverse"><i class="fa fa-magic"></i> Generate</button></span>
                    </div>
                </div>
                <div class="panel-footer">
                    <input id="paff" type='text' value='' onclick="this.select()" readonly='readonly' class='form-control'>
                </div>
            </div>

            <form method='post' action='' id="trackbackdataform">
                <input type='hidden' name='action' value='save_trackback' />
                <div class="panel panel-info">
                    <div class="panel-heading">Trackback URLs</div>
                    <div class="panel-body">
                        <?php
                        $track = get_user_meta(get_current_user_id(), '__wpdmaff_trackback', true);
                        ?>
                        <div class="form-group">
                        Signup Tracking URL:
                        <input type='text' id='aff_signup' name='track[signup]' value='<?=@$track['signup']?>' class='form-control' />
                        </div>

                        <div class="form-group">
                            Sales Tracking URL:
                            <input type='text' id='aff_sale' name='track[sale]' value='<?=@$track['sale']?>' class='form-control' />
                        </div>

                        <div class="alert alert-info" style="box-shadow: none;font-size: 11pt;color: #555 !important">
                            <b>Variables:</b><br/>
                            Email: <span>{email}</span> , Name: <span>{name}</span>, Date: <span>{date}</span>, Transaction ID: <span>{tran_id}</span>, Purchase Amount: <span>{amount}</span>,
                        </div>


                    </div>
                    <div class="panel-footer">
                        <button type="submit" id="trackbackdatabtn" class="btn btn-inverse">Save Changes</button>
                    </div>

                </div>
            </form>

<br/>
            <form method='post' action=''>
                <div class="panel panel-info">
                    <div class="panel-heading">Your Paypal Email Address:</div>
                    <div class="panel-body">

                        <input type='hidden' name='affiliate_paypal_email' value='1' />

                        <input type='text' id='aff_paypal' name='affiliate_paypal_email_data' value='<?=$paypal?>' class='form-control' />

                    </div>
                    <div class="panel-footer">
                        <button type="submit" class="btn btn-inverse">Update Paypal Email</button>
                    </div>

                </div>
            </form>

        </div>

    </div>


    <!-- Modal -->
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel">Modal title</h4>
                </div>
                <div class="modal-body">
                    ...
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
</div>

    <script type='text/javascript'>
        jQuery(function($){
            $('#myTab a').click(function (e) {
                e.preventDefault()
                $(this).tab('show')
            });

            $('#trackbackdataform').submit(function () {
                $('#trackbackdatabtn').html('<i class="fa fa-refresh fa-spin"></i> Saving....');
                $(this).ajaxSubmit({
                    url: ajax_url,
                    success: function (res) {
                        $('#trackbackdatabtn').html('<i class="fa fa-check-circle"></i> Saved!');
                    }
                });
                return false;
            });

        });

    </script>
<style>
    .w3eden.user-dashboard .input-group-btn .btn{
        height: 36px;

    }
    #paff, #swa{ cursor: copy; }
</style>
