<?php

class import_post {

    public function map_post() {
        $wp_fields = $_REQUEST['map-post-field'];
        $success_message = array();
        $error_messages = array();
        $this->posts_data = array();
        $this->posts_tag = array();
        $this->meta_data = array();
        $this->tax_data = array();
        $csv_new_custom_fields_data = $_REQUEST['custom-field-modify'];
        $csv_new_custom_fields = $_SESSION['new_custom_fields'];
        $csv_header_fields = $_SESSION['csv_header_fields'];
        $this->posts_data = $_SESSION['posts_data'];
        $this->posts_tag = $_SESSION['posts_tag'];
        $this->meta_data = $_SESSION['meta_data'];
        $this->tax_data = $_SESSION['tax_data'];
        $this->error = $_SESSION['error'];
        $this->is_update = $_SESSION['update'];
        $this->post_thumbnails = $_SESSION['post_thumbnail'];
        $this->total_posts = count($this->posts_data);

        $start = isset($_REQUEST['start'])?(int)$_REQUEST['start']:0;
        $end = $start + 20;
        if($end > $this->total_posts) $end = $this->total_posts;
        //echo "<ol>";
        $html = "<li class='text-info'><b>Importing $start ~ $end</b></li>";
        for ($i = $start; $i < $end; $i++) {
            $this->csv_data[$i] = array();
            if (!empty($this->meta_data[$i]))
                $this->csv_data[$i] = array_merge($this->posts_data[$i + 1], $this->meta_data[$i]);
            if (!empty($this->posts_tag[$i]))
                $this->csv_data[$i] = array_merge($this->csv_data[$i], $this->posts_tag[$i]);
            if (!empty($this->tax_data[$i]))
                $this->csv_data[$i] = array_merge($this->csv_data[$i], $this->tax_data[$i]);
            $this->update_post_data = array();
            $this->update_meta_data = array();
            $this->update_post_data['post_status'] = $this->posts_data[$i + 1]['post_status'];

            foreach ($wp_fields as $key => $field) {
                if ($field == 'default') {
                    $current_field = $csv_header_fields[$key];
                    if ($current_field == 'post_title' || $current_field == 'post_content' ||
                            $current_field == 'post_excerpt' || $current_field == 'post_date' ||
                            $current_field == 'post_name' || $current_field == 'post_tag' ||
                            $current_field == 'post_category' || $current_field == 'post_author' ||
                            $current_field == 'featured_image' || $current_field == 'post_parent' ||
                            $current_field == 'post_status' || $current_field == 'post_format' ||
                            $current_field == 'post_slug' || $current_field == 'menu_order') {
                        if (array_key_exists($current_field, $this->csv_data[$i]))
                            $this->update_post_data[$current_field] = $this->csv_data[$i][$current_field];
                        else
                            $this->update_post_data[$current_field] = '';
                    } else {
                        if (array_key_exists($csv_header_fields[$key], $this->csv_data[$i]))
                            $this->update_meta_data[$current_field] = $this->csv_data[$i][$csv_header_fields[$key]];
                        else
                            $this->update_meta_data[$current_field] = '';
                    }
                } else if ($field == 'cf') {
                    if (isset($csv_new_custom_fields_data[$key]) && $csv_new_custom_fields_data[$key] != '') {
                        if (array_key_exists($csv_header_fields[$key], $this->csv_data[$i]))
                            $this->update_meta_data[$csv_new_custom_fields_data[$key]] = $this->csv_data[$i][$csv_header_fields[$key]];
                        else
                            $this->update_meta_data[$csv_new_custom_fields_data[$key]] = '';
                        unset($this->meta_data[$i][$csv_header_fields[$key]]);
                    }
                } else if (strpos($field, 'CF:') !== false) {
                    $old_meta = str_replace('CF:', '', $field);
                    $current_field = $csv_header_fields[$key];
                    if ($current_field == 'post_title' || $current_field == 'post_content' ||
                            $current_field == 'post_excerpt' || $current_field == 'post_date' ||
                            $current_field == 'post_name' || $current_field == 'post_tag' ||
                            $current_field == 'post_category' || $current_field == 'post_author' ||
                            $current_field == 'featured_image' || $current_field == 'post_parent' ||
                            $current_field == 'post_status' || $current_field == 'post_format' ||
                            $current_field == 'post_slug' || $current_field == 'menu_order') {
                        if (array_key_exists($current_field, $this->csv_data[$i]))
                            $this->update_meta_data[$old_meta] = $this->csv_data[$i][$current_field];
                        else
                            $this->update_meta_data[$old_meta] = '';
                    } else {
                        if (array_key_exists($current_field, $this->csv_data[$i]))
                            $this->update_meta_data[$old_meta] = $this->csv_data[$i][$csv_header_fields[$key]];
                        else
                            $this->update_meta_data[$old_meta] = '';
                    }
                } else if (strpos($field, '__wpdm_') !== false) {
                    $current_field = $csv_header_fields[$key];
                    if ($current_field == 'post_title' || $current_field == 'post_content' ||
                            $current_field == 'post_excerpt' || $current_field == 'post_date' ||
                            $current_field == 'post_name' || $current_field == 'post_tag' ||
                            $current_field == 'post_category' || $current_field == 'post_author' ||
                            $current_field == 'featured_image' || $current_field == 'post_parent' ||
                            $current_field == 'post_status' || $current_field == 'post_format' ||
                            $current_field == 'post_slug' || $current_field == 'menu_order') {
                        if (array_key_exists($current_field, $this->csv_data[$i]))
                            $this->update_meta_data[$field] = $this->csv_data[$i][$current_field];
                        else
                            $this->update_meta_data[$field] = '';
                    } else {
                        if (array_key_exists($csv_header_fields[$key], $this->csv_data[$i]))
                            $this->update_meta_data[$field] = $this->csv_data[$i][$csv_header_fields[$key]];
                        else
                            $this->update_meta_data[$field] = '';
                    }
                } else {
                    $current_field = $csv_header_fields[$key];
                    if ($field == 'post_title' || $field == 'post_content' ||
                            $field == 'post_excerpt' || $field == 'post_date' ||$field == 'post_modified' ||
                            $field == 'post_name' || $field == 'post_tag' ||
                            $field == 'post_category' || $field == 'post_author' ||
                            $field == 'featured_image' || $field == 'post_parent' ||
                            $field == 'post_status' || $field == 'post_format' ||
                            $field == 'post_slug' || $field == 'menu_order') {
                        unset($this->update_post_data[$field]);
                        if (array_key_exists($current_field, $this->csv_data[$i]))
                            $this->update_post_data[$field] = $this->csv_data[$i][$current_field];
                        else
                            $this->update_post_data[$field] = '';
                    } else {
                        if (array_key_exists($csv_header_fields[$key], $this->csv_data[$i]))
                            $this->update_meta_data[$field] = $this->csv_data[$i][$csv_header_fields[$key]];
                        else
                            $this->update_meta_data[$field] = '';
                    }
                }
            }

            unset($this->update_post_data['post_type']);
            $this->update_post_data['post_type'] = 'wpdmpro';
            $this->new_post_data = array();

            foreach ($this->update_post_data as $key => $value) {
                $this->new_post_data[$key] = $value;
            }

            if (array_key_exists('featured_image', $this->new_post_data)) {
                $post_thumbnail = $this->new_post_data['featured_image'];
                if ($post_thumbnail) {
                    if (parse_url($post_thumbnail, PHP_URL_SCHEME)) {
                        $post_thumbnail = remote_get_file($post_thumbnail);
                        $this->featured_image = $post_thumbnail;
                    } else {
                        $this->featured_image = $post_thumbnail;
                    }
                } else
                    $this->featured_image = '';
                unset($this->new_post_data['featured_image']);
            } else
                $this->featured_image = '';
            
            $this->post_categories = array();
            $this->categories = array();
            if (array_key_exists('post_category', $this->new_post_data)) {
                if (!is_array($this->new_post_data['post_category'])) {
//                    $categories = preg_split("/,+/", $this->new_post_data['post_category']);
                    $this->post_categories = explode(',', $this->new_post_data['post_category']);
                    if ($this->new_post_data['post_category']) {
//                        $this->new_post_data['post_category'] = wp_create_categories($categories);
                        $this->categories['post_category'] = $this->post_categories;
                        unset($this->new_post_data['post_category']);
                    }
                }
                else{
                    $this->categories['post_category'] = $this->new_post_data['post_category'];
                    unset($this->new_post_data['post_category']);
                }
            }
            if (array_key_exists('post_date', $this->new_post_data)) {
                $this->new_post_data['post_date'] = date("Y-m-d H:i:s", strtotime($this->new_post_data['post_date']));
            }

            if (array_key_exists('post_tag', $this->new_post_data)) {
                $this->new_post_data['tags_input'] = explode(",",$this->new_post_data['post_tag']);
                unset($this->new_post_data['post_tag']);
            }

            if (array_key_exists('post_modified', $this->new_post_data)) {
                $this->new_post_data['post_modified'] = date("Y-m-d H:i:s", strtotime($this->new_post_data['post_modified']));
            }
            $this->new_meta_data = array();
            foreach ($this->update_meta_data as $key => $value) {
                $this->new_meta_data[$key] = $value;
            }
            if (array_key_exists('__wpdm_access', $this->new_meta_data)) {
                $this->new_meta_data['__wpdm_access'] = explode(",", $this->new_meta_data['__wpdm_access']);
            }

            // Advanced Access Control Addon Support
            if (array_key_exists('__wpdm_user_access', $this->new_meta_data)) {
                $this->new_meta_data['__wpdm_user_access'] = explode(",", $this->new_meta_data['__wpdm_user_access']);
            }

            if (array_key_exists('__wpdm_files', $this->new_meta_data)) {
                $this->new_meta_data['__wpdm_files'] = explode(",", $this->new_meta_data['__wpdm_files']);
            }
            
            if (array_key_exists('__wpdm_additional_previews', $this->new_meta_data)) {
                $this->new_meta_data['__wpdm_additional_previews'] = explode(",", $this->new_meta_data['__wpdm_additional_previews']);
            }

            if (!$this->error->get_error_codes()) {
                $result = $this->save_post($this->new_post_data, $this->new_meta_data, $this->tax_data[$i], $this->featured_image, $this->posts_tag[$i], $this->is_update);
                if (array_key_exists('post_category', $this->categories)) {
                    foreach($this->categories['post_category'] as $index => $term){
                        if(term_exists($term))
                            $this->categories['post_category'][$index] = term_exists($term);
                        else {
                           $tinf =  wp_insert_term($term, 'wpdmcategory');
                            $this->categories['post_category'][$index] = $tinf['term_id'];

                        }
                    }
                    $ret = wp_set_post_terms(intval($result), $this->categories['post_category'], 'wpdmcategory' );
                }
                if ($result) {
                    $html .= "<li class='text-success'>".sprintf(__('Creating post "%s" done.', 'wpdm-csv-importer'), $this->new_post_data['post_title'])."</li>";
                } else {
                    $html .= "<li class='text-error'>". __('An error occurred while saving the post to database.', 'wpdm-csv-importer')."</li>";
                }
            }

            foreach ($this->error->get_error_messages() as $message) {
                $html .= "<li class='text-error'>".$message."</li>";
            }

            //@ob_flush();
        }

        /*
        foreach ($success_message as $key => $value) {
            echo "<li>";
            echo $value;
            echo "</li>";
        }

        if ($error_messages != null) {
            foreach ($error_messages as $key => $value) {
                echo "<li style='color: red;'>";
                echo $value;
                echo "</li>";
            }
        }
        */
        //echo "<b style='margin-left: 10px;'>All done</b>";
        //echo "</ol>";
        //ob_flush();
        $data = array('result' => $html, 'total' => $this->total_posts );
        echo json_encode($data);
        exit();
    }

    public function save_post($post, $meta, $terms, $thumbnail, $tag, $is_update) {

        $ph = new wp_eden_post_helper($post);
        foreach ($meta as $key => $value) {
            $is_cfs = 0;
            $is_acf = 0;
            $cfs_prefix = 'cfs_';
            if (strpos($key, $cfs_prefix) === 0) {
                $ph->add_cfs_field(substr($key, strlen($cfs_prefix)), $value);
                $is_cfs = 1;
            } else {
                if (function_exists('get_field_object')) {
                    if (strpos($key, 'field_') === 0) {
                        $fobj = get_field_object($key);
                        if (is_array($fobj) && isset($fobj['key']) && $fobj['key'] == $key) {
                            $ph->add_field($key, $value);
                            $is_acf = 1;
                        }
                    }
                }
            }
            if (!$is_acf && !$is_cfs)
                $ph->add_meta($key, $value, true);
        }

        if ($tag) {
            $ph->add_tags($tag);
        }

        if (!empty($terms)) {
            foreach ($terms as $key => $value) {
                $ph->add_terms($key, $value);
            }
        }

        if ($thumbnail)
            $ph->add_media($thumbnail, '', '', '', true);

        if ($is_update)
            $result = $ph->update();
        else
            $result = $ph->insert();

        unset($ph);

        return $result;
    }

}

//$importer_obj = new import_post();
//if (isset($_REQUEST['flag-insert'])) {
//    $importer_obj->map_post();
//}
