<?php
/**
 * User: shahnuralam
 * Date: 16/12/18
 * Time: 8:22 PM
 */
if (!defined('ABSPATH')) die();
?>
<form method="post" id="saveCogCatForm">

    <ul class="nav nav-tabs" id="cogCatTabs" role="tablist">
        <li class="nav-item active">
            <a class="nav-link active" id="CategoryInfo-tab" data-toggle="tab" href="#CategoryInfo" role="tab" aria-controls="CategoryInfo" aria-selected="true">Folder Info</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="SharingSettings-tab" data-toggle="tab" href="#SharingSettings" role="tab" aria-controls="SharingSettings" aria-selected="false">Sharing Settings</a>
        </li>
    </ul>

    <div class="tab-content" id="cogCatTabsContent">
        <div class="tab-pane fade in active show" id="CategoryInfo" role="tabpanel" aria-labelledby="CategoryInfo-tab">
            <div id="stock_limit_row" class="form-group">
                <label class="strong"><?php echo __('Name:','wpdmpro'); ?></label>
                <input size="10" class="form-control" type="text" name="cat[name]" value="<?php echo $cat->name; ?>" />
            </div>
            <div id="stock_limit_row" class="form-group">
                <label class="strong"><?php echo __('Description:','wpdmpro'); ?></label>
                <textarea size="10" class="form-control" type="text" name="cat[description]"><?php echo $cat->description; ?></textarea>
            </div>
        </div>
        <div class="tab-pane fade" id="SharingSettings" role="tabpanel" aria-labelledby="SharingSettings-tab">

            <div id="access_row" class="row">
                <div class="col-md-12">
                    <div  class="panel panel-default card"><div class="panel-heading card-header"><?php echo __('Authorized Roles:','wpdmpro'); ?></div>
                        <div class="panel-body card-body">
                            <div class="row roles">

                                <?php

                                $currentAccess = maybe_unserialize(get_term_meta($cat->term_id, '__wpdm_access', true));

                                $selz = '';
                                if(  $currentAccess ) $selz = (in_array('guest',$currentAccess))?'checked=checked':'';
                                if(!isset($post->ID)) $selz = 'selected=selected';
                                ?>

                                <label class="col-md-3" title="Anyone With Link"><input type="checkbox" name="_cat[access][]" value="guest" <?php echo $selz  ?>> <?php echo __("Anyone","wpdmpro"); ?></label>
                                <?php
                                global $wp_roles;
                                $roles = array_reverse($wp_roles->role_names);
                                foreach( $roles as $role => $name ) {



                                    if(  $currentAccess ) $sel = (in_array($role,$currentAccess))?'checked=checked':'';
                                    else $sel = '';



                                    ?>
                                    <label class="col-md-3"><input type="checkbox" name="_cat[access][]" value="<?php echo $role; ?>" <?php echo $sel  ?>> <?php echo $name; ?></label>
                                <?php } ?>

                            </div>
                        </div>
                        <?php if(is_plugin_active('wpdm-custom-access-level/wpdm-custom-access-level.php')){ ?>


                            <div class="panel-heading card-header"><?php echo __('Authorized Users:','wpdmpro'); ?></div>
                            <div class="panel-body card-body" id="uacocat">
                                <?php
                                $susers = maybe_unserialize(get_term_meta($cat->term_id, '__wpdm_user_access', true));
                                if ($susers && is_array($susers)) {
                                    foreach ($susers as $suser) {
                                        echo '<span class="btn btn-info btn-sm" id="uacocat-' . sanitize_title($suser) . '"><input type="hidden" name="_cat[user_access][]" value="' . $suser . '" /> <a class="uacocat-del" onclick="jQuery(this.rel).remove()" rel="#uacocat-' . sanitize_title($suser) . '"><i class="far fa-times-circle"></i></a>&nbsp;' . $suser . '</span>';
                                    }
                                }
                                ?>

                            </div>
                            <div class="panel-footer card-footer" style="background: #ffffff"><input id="caname" placeholder="Start typing to search members..." style="width: 100%" type="text" class="form-control"></div>




                        <?php } ?>
                    </div>
                </div>
            </div>

        </div>

    </div>


    <input type="hidden" name="action" value="saveFolderSettings">
    <input type="hidden" name="catid" value="<?php echo $cat->term_id; ?>">
    <?php wp_nonce_field(NONCE_KEY, '__wpdmfhf_nonce'); ?>




    <div class="clear"></div>
</form>
<style>
    .strong { font-weight: bold; }
    .row.roles label{
        font-weight: 400;font-size: 8pt;
        cursor: pointer;
    }
    #cogCatTabs {
        padding-top: 10px;
        padding-left: 10px;
        background: #f5f5f5;
    }
    #cogCatTabs li a{
        padding: 7px 15px;
        font-size: 9pt;
        border-radius: 3px 3px 0 0 ;
        font-weight: bold;
    }
    #cogCatTabsContent{
        padding: 15px;
    }

    #uacocat > span {
        line-height: 16px;
        border-radius: 3px;
        display: inline-block;
        margin-right: 5px;
        margin-bottom: 5px;
    }
    #uacocat > span a{
        border-right: 1px dotted #fff;
        margin-right: 4px;
    }
    #uacocat > span .far{
        margin-right: 6px;
        cursor: pointer;
        color: #ffffff;
        -webkit-transition: ease-in-out 300ms;
        -moz-transition: ease-in-out 300ms;
        -ms-transition: ease-in-out 300ms;
        -o-transition: ease-in-out 300ms;
        transition: ease-in-out 300ms;
    }
    #uacocat > span .far:hover{
        transform: scale(1.2);
    }
    .form-control.ui-autocomplete-input{
        background-position: 125px center !important;
    }

    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content{
        max-height: 300px;
        overflow: auto;
        z-index: 999999999;
    }

    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content li:not(:last-child){
        border-bottom: 1px solid #dddddd !important;
        margin-top: -1px;
    }
    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content li{
        padding: 7px 10px;
        width: calc(100% - 22px);
    }
    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content li.ui-state-focus{
        border: 1px solid #aaaaaa !important;
    }
</style>
<script>

    var ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>";
    jQuery(function ($) {
        var uacc = '';

        function split(val) {
            return val.split(/,\s*/);
        }

        function extractLast(term) {
            return split(term).pop();
        }

        $("#caname")
            .bind("keydown", function (event) {
                if (event.keyCode === $.ui.keyCode.TAB &&
                    $(this).data("ui-autocomplete").menu.active) {
                    event.preventDefault();
                }
            })
            .autocomplete({
                source: function (request, response) {
                    $.getJSON(ajaxurl + '?action=wpdm_cal_suggest_members', {
                        action: 'wpdm_cal_suggest_members',
                        term: extractLast($("#caname").val())
                    }, response);
                },
                search: function () {

                    var term = extractLast($("#caname").val());
                    if (term.length < 2) {
                        return false;
                    }
                },
                focus: function () {

                    return false;
                },
                select: function (event, ui) {
                    $('#uacocat').prepend('<span  class="btn btn-info btn-sm" id="uacocat-' + ui.item.value.replace(/[^a-zA-Z]/ig, '-') + '"><input type="hidden" name="_cat[user_access][]" value="' + ui.item.value + '" /> <a class="uacocat-del" onclick="jQuery(this.rel).remove()" rel="#uacocat-' + ui.item.value.replace(/[^a-zA-Z]/ig, '-') + '"><i class="far fa-times-circle"></i></a>&nbsp;' + ui.item.value + '</span>');
                    this.value = "";
                    return false;
                }
            });
    });
</script>
