<?php
/**
 * Created by PhpStorm.
 * User: shahnuralam
 * Date: 10/19/17
 * Time: 6:02 PM
 */
if(!defined('ABSPATH')) die();
?>
<form method="post" id="saveCogPackForm">

    <ul class="nav nav-tabs" id="cogPackTabs" role="tablist">
        <li class="nav-item active">
            <a class="nav-link active" id="Basic-tab" data-toggle="tab" href="#Basic" role="tab" aria-controls="Basic" aria-selected="true">Basic</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="Settings-tab" data-toggle="tab" href="#Settings" role="tab" aria-controls="Settings" aria-selected="false">Settings</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" id="Files-tab" data-toggle="tab" href="#Files" role="tab" aria-controls="Files" aria-selected="false">Files</a>
        </li>
    </ul>

    <div class="tab-content" id="cogPackTabsContent">
        <div class="tab-pane fade in active show" id="Basic" role="tabpanel" aria-labelledby="Basic-tab">
            <div id="stock_limit_row" class="form-group">
                <label class="strong"><?php echo __('Title:','wpdmpro'); ?></label>
                <input size="10" class="form-control" type="text" name="_file[post_title]" value="<?php echo $post->post_title; ?>" />
            </div>
            <div id="stock_limit_row" class="form-group">
                <label class="strong"><?php echo __('Description:','wpdmpro'); ?></label>
                <textarea size="10" class="form-control" type="text" name="_file[post_content]"><?php echo $post->post_content; ?></textarea>
            </div>
        </div>
        <div class="tab-pane fade" id="Settings" role="tabpanel" aria-labelledby="Settings-tab">
            <div id="stock_limit_row" class="form-group">
                <label class="strong"><?php echo __('Stock Limit:','wpdmpro'); ?></label>
                <input size="10" class="form-control" type="text" name="file[quota]" value="<?php echo get_post_meta($post->ID,'__wpdm_quota',true); ?>" />
                <small class="note">0 = Unlimited</small>
            </div>
            <div id="downliad_limit_row" class="form-group">
                <label class="strong"><?php echo __('Download&nbsp;Limit:','wpdmpro'); ?></label>
                <div class="input-group"><input size="10" class="form-control" type="text" name="file[download_limit_per_user]" value="<?php echo get_post_meta($post->ID,'__wpdm_download_limit_per_user', true); ?>" /><div class="input-group-addon input-group-append"><span class="input-group-text">/ user</span></div></div>
            </div>

            <div id="access_row" class="row">
                <div class="col-md-12">
                    <div  class="panel panel-default card"><div class="panel-heading card-header"><?php echo __('Authorized Roles:','wpdm-file-hosting'); ?></div>
                        <div class="panel-body card-body">
                            <div class="row roles">

                                <?php

                                $currentAccess = maybe_unserialize(get_post_meta($post->ID, '__wpdm_access', true));

                                $selz = '';
                                if(  $currentAccess ) $selz = (in_array('guest',$currentAccess))?'checked=checked':'';
                                if(!isset($post->ID)) $selz = 'selected=selected';
                                ?>

                                <label class="col-md-3" title="Anyone With Link"><input type="checkbox" name="file[access][]" value="guest" <?php echo $selz  ?>> <?php echo __("Anyone","wpdm-file-hosting"); ?></label>
                                <?php
                                global $wp_roles;
                                $roles = array_reverse($wp_roles->role_names);
                                foreach( $roles as $role => $name ) {



                                    if(  $currentAccess ) $sel = (in_array($role,$currentAccess))?'checked=checked':'';
                                    else $sel = '';



                                    ?>
                                    <label class="col-md-3"><input type="checkbox" name="file[access][]" value="<?php echo $role; ?>" <?php echo $sel  ?>> <?php echo $name; ?></label>
                                <?php } ?>

                            </div>
                        </div>
                        <?php if(is_plugin_active('wpdm-custom-access-level/wpdm-custom-access-level.php')){ ?>


                                <div class="panel-heading card-header"><?php echo __('Authorized Users:','wpdm-file-hosting'); ?></div>
                                <div class="panel-body card-body" id="uaco">
                                    <?php
                                    $susers = maybe_unserialize(get_post_meta($post->ID, '__wpdm_user_access', true));
                                    if ($susers && is_array($susers)) {
                                        foreach ($susers as $suser) {
                                            echo '<span class="btn btn-info btn-sm" id="uaco-' . sanitize_title($suser) . '"><input type="hidden" name="file[user_access][]" value="' . $suser . '" /> <a class="uaco-del" onclick="jQuery(this.rel).remove()" rel="#uaco-' . sanitize_title($suser) . '"><i class="far fa-times-circle"></i></a>&nbsp;' . $suser . '</span>';
                                        }
                                    }
                                    ?>

                                </div>
                                <div class="panel-footer card-footer" style="background: #ffffff"><input id="maname" placeholder="Start typing to search members..." style="width: 100%" type="text" class="form-control"></div>




                        <?php } ?>
                    </div>
                </div>
            </div>

        </div>
        <div class="tab-pane fade" id="Files" role="tabpanel" aria-labelledby="Files-tab">
            <ul class="list-group">

            <?php
            $files = maybe_unserialize(get_post_meta($post->ID, '__wpdm_files', true));
            if ($files && is_array($files)) {
                foreach ($files as $fid => $file) {
                    echo '<li class="list-group-item" id="file-' . $fid . '"><input type="hidden" name="file[files]['.$fid.']" value="' . $file . '" /><a class="file-del pull-right" onclick="jQuery(this.rel).remove()" rel="#file-' . $fid . '"><i class="far fa-times-circle"></i></a>' . $file . '</span>';
                }
            }
            ?>
            </ul>

        </div>
    </div>




    <input type="hidden" name="file[individual_file_download]" value="1">
    <input type="hidden" name="action" value="savePackageSettings">
    <input type="hidden" name="pid" value="<?php echo $post->ID; ?>">
    <?php wp_nonce_field(NONCE_KEY, '__wpdmfh_nonce'); ?>




    <div class="clear"></div>
</form>
<style>
    .strong { font-weight: bold; }
    .row.roles label{
        font-weight: 400;font-size: 8pt;
        cursor: pointer;
    }
    #cogPackTabs {
        padding-top: 10px;
        padding-left: 10px;
        background: #f5f5f5;
    }
    #cogPackTabs li a{
        padding: 7px 15px;
        font-size: 9pt;
        border-radius: 3px 3px 0 0 ;
    }
    #cogPackTabsContent{
        padding: 15px;
    }

    #uaco > span {
        line-height: 16px;
        border-radius: 3px;
        display: inline-block;
        margin-right: 5px;
        margin-bottom: 5px;
    }
    #uaco > span a{
        border-right: 1px dotted #fff;
        margin-right: 4px;
    }
    #uaco > span .far{
        margin-right: 6px;
        cursor: pointer;
        color: #ffffff;
        -webkit-transition: ease-in-out 300ms;
        -moz-transition: ease-in-out 300ms;
        -ms-transition: ease-in-out 300ms;
        -o-transition: ease-in-out 300ms;
        transition: ease-in-out 300ms;
    }
    #uaco > span .far:hover{
        transform: scale(1.2);
    }
    .form-control.ui-autocomplete-input{
        background-position: 125px center !important;
    }

    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content{
        max-height: 300px;
        overflow: auto;
        z-index: 999999999;
    }

    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content li:not(:last-child){
        border-bottom: 1px solid #dddddd !important;
        margin-top: -1px;
    }
    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content li{
        padding: 7px 10px;
        width: calc(100% - 22px);
    }
    .ui-autocomplete.ui-front.ui-menu.ui-widget.ui-widget-content li.ui-state-focus{
        border: 1px solid #aaaaaa !important;
    }
</style>
<script>

    var ajaxurl = "<?php echo admin_url('admin-ajax.php'); ?>";
    jQuery(function ($) {
        var uacc = '';

        function split(val) {
            return val.split(/,\s*/);
        }

        function extractLast(term) {
            return split(term).pop();
        }

        $("#maname")
            .bind("keydown", function (event) {
                if (event.keyCode === $.ui.keyCode.TAB &&
                    $(this).data("ui-autocomplete").menu.active) {
                    event.preventDefault();
                }
            })
            .autocomplete({
                source: function (request, response) {
                    $.getJSON(ajaxurl + '?action=wpdm_cal_suggest_members', {
                        action: 'wpdm_cal_suggest_members',
                        term: extractLast($("#maname").val())
                    }, response);
                },
                search: function () {

                    var term = extractLast($("#maname").val());
                    if (term.length < 2) {
                        return false;
                    }
                },
                focus: function () {

                    return false;
                },
                select: function (event, ui) {
                    $('#uaco').prepend('<span  class="btn btn-info btn-sm" id="uaco-' + ui.item.value.replace(/[^a-zA-Z]/ig, '-') + '"><input type="hidden" name="file[user_access][]" value="' + ui.item.value + '" /> <a class="uaco-del" onclick="jQuery(this.rel).remove()" rel="#uaco-' + ui.item.value.replace(/[^a-zA-Z]/ig, '-') + '"><i class="far fa-times-circle"></i></a>&nbsp;' + ui.item.value + '</span>');
                    this.value = "";
                    return false;
                }
            });
    });
</script>
