<?php

if(defined('WPDM_Version')){

    if(!isset($_SESSION))
        session_start();


    function wpdm_apply_lazy_download($package){
        global $current_user, $wp_roles;

        if(!isset($package['lazy_download']) || $package['lazy_download']!=1) return;

        //unset($_SESSION['waiting_time_'.$package['ID']]);
        // print_r($_SESSION);
        //echo $_SESSION['waiting_time_'.$package['ID']];
        //die();
//dd($_SESSION);  
        if(isset($_GET['wpdmtoken'])){
            $tdff = time() - intval(WPDM_Crypt::Decrypt($_GET['wpdmtoken']));
            if($tdff <= 300 ){
                $_SESSION['waiting_time_'.$package['ID']] = -1;
                setcookie('wpdm_lazy_download_'.$package['ID'],'0',3600,'/');
                setcookie('wpdm_lazy_download_id','0',3600,'/');
            }
        }
        $roles = @array_reverse($wp_roles->role_names);
        if(!$roles) $roles = array();
        $wpdm_lazy_download = get_option('_wpdm_lazy_download',array());
        $role = is_user_logged_in()?$current_user->roles[0]:'guest';
        $waiting_time = $wpdm_lazy_download[$role];
        if($waiting_time>0 && (!isset($_SESSION['waiting_time_'.$package['ID']]) || $_SESSION['waiting_time_'.$package['ID']]!='-1')){
            setcookie('wpdm_lazy_download_'.$package['ID'],$waiting_time,3600,'/');
            setcookie('wpdm_lazy_download_id',$package['ID'],3600,'/');
            $id = rtrim(base64_encode($package['ID'].'|'.$waiting_time),'=');
            $_SESSION['fileid'] = $package['ID'];
            $_SESSION['pkgid'] = $package['ID'];
            $_SESSION['waiting_time_'.$package['ID']] = $waiting_time;
            $_SESSION['lazy_download_url_'.$package['ID']] = $_SERVER['REQUEST_URI'];
            $data = WPDM_Crypt::Encrypt(serialize($_SESSION));
            header("location: ".get_permalink($wpdm_lazy_download['waiting_page'])."?ret=".$data);
            die();
        } else {
            //unset($_SESSION['waiting_time_'.$package['ID']]);
            $_SESSION['waiting_time_'.$package['ID']] = -1;
            setcookie('wpdm_lazy_download_'.$package['ID'],'0',3600,'/');
            setcookie('wpdm_lazy_download_id','0',3600,'/');
        }
    }

    function wpdm_clear_timer(){
        if(!isset($_POST['wpdm_lazy_download_timer']) || $_POST['wpdm_lazy_download_timer']!='clear') return;
        $_SESSION['waiting_time_'.$_POST['pid']] = -1;
        setcookie('wpdm_lazy_download_'.$_POST['pid'],'0',3600,'/');
        setcookie('wpdm_lazy_download_id','0',3600,'/');
        echo 'Cleared!';
        die();
    }

    function wpdm_lazy_download_package(){
        ?>
        <tr id="lazy_download_row"><td>Lazy Download</td><td><label><input class="checkbox" id="eid" <?php echo isset($_GET['post']) && get_post_meta($_GET['post'],'__wpdm_lazy_download', true)==1?'checked=checked':''; ?> type="checkbox" name="file[lazy_download]" value="1"> <b>Active</b></label></td></tr>
        <?php
    }

    function wpdm_process_lazy_download($params = array()){
        @extract($params);
        if(isset($_GET['ret'])) $_SESSION = WPDM_Crypt::Decrypt($_GET['ret']);


        $wpdm_lazy_download = get_option('_wpdm_lazy_download',array());
        $lazy_download_id = isset($_SESSION['fileid'])?$_SESSION['fileid']:0;
        if($lazy_download_id===0) return '';
        $lazy_download_url = $_SESSION['lazy_download_url_'.$lazy_download_id];
        $class = isset($class)?$class:'progress-striped active';
        $wpdmtoken = WPDM_Crypt::Encrypt(time());
        $lazy_download_url .= "&wpdmtoken=".$wpdmtoken;
        if($wpdm_lazy_download['page_animation']=='progressbar'){
            $waiting_time = $_SESSION['waiting_time_'.$lazy_download_id]*1000;
            $html =
                '
    <div class="w3eden">

    <div id="wpdm_lazy_download_'.$lazy_download_id.'" class="progress '.$class.'">
      <div class="progress-bar"  role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width: 0%">
        <span class="sr-only">Please Wait...</span>
      </div>
    </div>

    </div>

    <script type="text/javascript">
     jQuery(function(){             
            jQuery("#wpdm_lazy_download_'.$lazy_download_id.' .progress-bar").animate({width:"100%"},'.$waiting_time.',function(){
                //jQuery.cookie("wpdm_lazy_download_'.$lazy_download_id.'","-1", { expires: 1, path: "/" });
                jQuery.post("'.site_url('/').'",{wpdm_lazy_download_timer:"clear",pid:'.$lazy_download_id.'},function(){
                    location.href = "'.$lazy_download_url.'";
                });
                
            });
     
     });
    </script>
    ';
        } else {
            $waiting_time = $_SESSION['waiting_time_'.$lazy_download_id];
            $html =
                '
    <div class="wpdm-pro">
    <div id="wpdm_lazy_download_'.$lazy_download_id.'" class="circle '.$class.'" style="height:70px;width:70px;border-radius:35px;text-align:center;line-height:70px;font-size:30px;font-weight:bold;background:#000;color:#fff">
     '.$waiting_time.'
    </div>
    </div>
    <script type="text/javascript">     
     var wt = '.($waiting_time?$waiting_time:1).';
     var sto = 100/wt;
     var fd = 100;     
     function wpdm_count_down(){
         wt--;
         fd = (fd-sto);
         if(wt>=0)  
         jQuery("#wpdm_lazy_download_'.$lazy_download_id.'").fadeTo(1000, fd/100, function(){ wpdm_count_down(); }).html(wt);         
         //setTimeout("wpdm_count_down()",1000);
         else{
            jQuery.post("'.site_url('/').'",{wpdm_lazy_download_timer:"clear",pid:'.$lazy_download_id.'},function(){
                    location.href = "'.$lazy_download_url.'";
                });
         }
     }
     wpdm_count_down();
    </script>
    ';
        }
        return $html;

    }



    function wpdm_waiting_time_by_roles(){
        global $current_user;
        if(isset($_POST['_wpdm_lazy_download']) && count($_POST['_wpdm_lazy_download'])>0){
            update_option('_wpdm_lazy_download',$_POST['_wpdm_lazy_download']);
            die('Settings Saves Successfully!');
        }
        $wpdm_lazy_download = get_option('_wpdm_lazy_download',array());
        ?>
        <div class="panel panel-default">
            <div class="panel-heading"><b><?php _e('Set Waiting Time Before Start Download','wpdmpro'); ?></b></div>

            <table class="table">




                <tr><th>User Role</th><th>Waiting Time</th></tr>

                <tr><td>Guests</td><td><input type="text" name="_wpdm_lazy_download[guest]" class="form-control" style="width: 80px;display: inline" value="<?php echo $wpdm_lazy_download['guest']; ?>" /> secs</td></tr>
                <?php
                global $wp_roles;
                $roles = array_reverse($wp_roles->role_names);
                foreach( $roles as $role => $name ) {
                    ?>
                    <tr><td><?php echo $name; ?></td><td><input type="text" size="5" class="form-control" style="width: 80px;display: inline" name="_wpdm_lazy_download[<?php echo $role; ?>]" value="<?php echo $wpdm_lazy_download[$role]; ?>"> secs</td></tr>
                <?php } ?>
            </table>
        </div>

        <div class="panel panel-default">
            <div class="panel-heading"><b><?php _e('Other Settings','wpdmpro'); ?></b></div>

            <table class="table">

                <tr><td>Waiting Page:</td><td><?php wp_dropdown_pages(array('name'=>'_wpdm_lazy_download[waiting_page]','selected'=>$wpdm_lazy_download['waiting_page'])); ?></td></tr>
                <tr><td>Apply:</td><td>
                        <select name="_wpdm_lazy_download[apply]">
                            <option value="0">Once for a pacakge in same session</option>
                            <option value="1" <?php selected($wpdm_lazy_download['apply'],1); ?> >Everytime user click on download link</option>
                        </select>
                    </td></tr>
                <tr><td>Waiting Page Animation:</td><td>
                        <select name="_wpdm_lazy_download[page_animation]">
                            <option value="progressbar">Progress Bar</option>
                            <option value="counter" <?php selected($wpdm_lazy_download['page_animation'],'counter'); ?> >Coundown Timer</option>
                        </select>
                    </td></tr>
            </table>

        </div>

        <?php
    }


    function wpdm_repeat_time($speed){
        $wpdm_lazy_download = get_option('_wpdm_lazy_download',array());
        if($wpdm_lazy_download['apply']!=1)    return $speed;
        $_SESSION['waiting_time_'.$_REQUEST['wpdmdl']] = 0;
        unset($_SESSION['waiting_time_'.$_REQUEST['wpdmdl']]);
        return $speed;
    }


    add_action('init','wpdm_clear_timer');
    add_action('wpdm_package_settings_tr','wpdm_lazy_download_package');
    add_shortcode('wpdm_lazy_download','wpdm_process_lazy_download');
//add_action('basic_settings_section','wpdm_waiting_time_by_roles');
    add_action('wpdm_onstart_download','wpdm_apply_lazy_download');
    add_filter('wpdm_download_speed','wpdm_repeat_time');
    add_wdm_settings_tab("lazy-download","Lazy Download", "wpdm_waiting_time_by_roles");
}
 

