<?php
namespace CAMPAIGN\ADMIN;

if(!defined('WPINC')) {
    exit;
}

class adminMenu{
    private static $instance;
    
    public static function getInstance(){
        if(self::$instance === null){
            self::$instance = new self;
            self::$instance->dir = dirname(__FILE__);
            self::$instance->url = WP_PLUGIN_URL . '/' . basename(self::$instance->dir);
            self::$instance->actions();
        }
        return self::$instance;
    }
    
    private function actions(){
        add_action('admin_menu',array($this,'adminMenu'));
    }
    
    public function adminMenu(){
        add_submenu_page('edit.php?post_type=eden_campaign', __('Subscribers','campaign'), __('Subscribers'), 'manage_options', 'eden_subscriber', array($this,'eden_subscriber'));
        add_submenu_page('edit.php?post_type=eden_campaign', __('Report','campaign'), __('Reports'), 'manage_options', 'eden_campaign_report', array($this,'edenCampaignReport'));
        
    }
    
    public function eden_subscriber(){
        $subscribers = \CAMPAIGN\ADMIN\PAGES\Subscribers::getInstance();
    }
    
    public function edenCampaignReport(){
        echo "<div class='wrap'><p>Comming Soon...</p></div>";
    }
    
}

