<?php
namespace CAMPAIGN\ADMIN\PAGES;

if(!defined('WPINC')) {
    exit;
}

class GeneralSettings{
    private static $instance;
    private $messages, $errors, $dir, $url, $utility;

    public static function getInstance(){
        if(self::$instance === null){
            self::$instance = new self;
            self::$instance->dir = \CAMPAIGN\EdenCampaign::getDir();
            self::$instance->url = \CAMPAIGN\EdenCampaign::getUrl();
            self::$instance->messages = array();
            self::$instance->errors = array();
            self::$instance->utility = new \CAMPAIGN\UTIL\Utility();   
            self::$instance->actions();
            
        }
        return self::$instance;
    }
    
    private function actions(){
        if(isset($_REQUEST['page']) && $_REQUEST['page']=='eden_campaign_report'):
            ob_start();
            
            if(isset($_REQUEST['post_id']) && $_REQUEST['post_id'] != ''){
                $this->postReport();
            }
            else {
                $this->reportAll();
            }
            $content = ob_get_clean();
            echo $this->getHeader();
            echo $content;
            echo $this->getFooter();
            
        endif;
    }

    private function getHeader(){
        $message = "";
        if(!empty($this->messages)):
            $message = '<div id="message" class="updated"><p>';
            foreach($this->messages as $key => $msg):
                $message .= $msg . "<br/>";
            endforeach;
            $message .= "</p></div>";
        endif;
    ?>
        <div class="wrap">
            <h2>Subscribers <a href="<?php echo "?post_type={$_REQUEST['post_type']}&page={$_REQUEST['page']}&add_new=1" ?>" class="add-new-h2">Add New</a></h2>
            <?php echo $message; ?>
            <br>
    <?php
    }
    
    private function getFooter(){
        
        
    ?>
        </div>
    <?php
    
    }
    
}

