<?php
if (!defined('ABSPATH')) die();
/**
 * User: shahnuralam
 * Date: 11/26/17
 * Time: 10:09 PM
 */
$templates = \WPDM\AddOn\OptinPopup::templates();
$animations = array(
    'bounce' => 'bounce',
    'flash' => 'flash',
    'pulse' => 'pulse',
    'rubberBand' => 'rubberBand',
    'shake' => 'shake',
    'swing' => 'swing',
    'tada' => 'tada',
    'wobble' => 'wobble',
    'jello' => 'jello',
    'bounceIn' => 'bounceIn',
    'bounceInDown' => 'bounceInDown',
    'bounceInUp' => 'bounceInUp',
    'bounceOut' => 'bounceOut',
    'bounceOutDown' => 'bounceOutDown',
    'bounceOutLeft' => 'bounceOutLeft',
    'bounceOutRight' => 'bounceOutRight',
    'bounceOutUp' => 'bounceOutUp',
    'fadeIn' => 'fadeIn',
    'fadeInDown' => 'fadeInDown',
    'fadeInDownBig' => 'fadeInDownBig',
    'fadeInLeft' => 'fadeInLeft',
    'fadeInLeftBig' => 'fadeInLeftBig',
    'fadeInRightBig' => 'fadeInRightBig',
    'fadeInUp' => 'fadeInUp',
    'fadeInUpBig' => 'fadeInUpBig',
    'fadeOut' => 'fadeOut',
    'fadeOutDown' => 'fadeOutDown',
    'fadeOutDownBig' => 'fadeOutDownBig',
    'fadeOutLeft' => 'fadeOutLeft',
    'fadeOutLeftBig' => 'fadeOutLeftBig',
    'fadeOutRightBig' => 'fadeOutRightBig',
    'fadeOutUp' => 'fadeOutUp',
    'fadeOutUpBig' => 'fadeOutUpBig',
    'flip' => 'flip',
    'flipInX' => 'flipInX',
    'flipInY' => 'flipInY',
    'flipOutX' => 'flipOutX',
    'flipOutY' => 'flipOutY',
    'lightSpeedIn' => 'lightSpeedIn',
    'lightSpeedOut' => 'lightSpeedOut',
    'rotateIn' => 'rotateIn',
    'rotateInDownLeft' => 'rotateInDownLeft',
    'rotateInDownRight' => 'rotateInDownRight',
    'rotateInUpLeft' => 'rotateInUpLeft',
    'rotateInUpRight' => 'rotateInUpRight',
    'rotateOut' => 'rotateOut',
    'rotateOutDownLeft' => 'rotateOutDownLeft',
    'rotateOutDownRight' => 'rotateOutDownRight',
    'rotateOutUpLeft' => 'rotateOutUpLeft',
    'rotateOutUpRight' => 'rotateOutUpRight',
    'slideInUp' => 'slideInUp',
    'slideInDown' => 'slideInDown',
    'slideInLeft' => 'slideInLeft',
    'slideInRight' => 'slideInRight',
    'slideOutUp' => 'slideOutUp',
    'slideOutDown' => 'slideOutDown',
    'slideOutLeft' => 'slideOutLeft',
    'slideOutRight' => 'slideOutRight',
    'zoomIn' => 'zoomIn',
    'zoomInDown' => 'zoomInDown',
    'zoomInLeft' => 'zoomInLeft',
    'zoomInRight' => 'zoomInRight',
    'zoomInUp' => 'zoomInUp',
    'zoomOut' => 'zoomOut',
    'zoomOutDown' => 'zoomOutDown',
    'zoomOutLeft' => 'zoomOutLeft',
    'zoomOutUp' => 'zoomOutUp',
    'hinge' => 'hinge',
    'rollIn' => 'rollIn',
    'rollOut' => 'rollOut'
);
?>
<div class="w3eden">
    <div class="well">
        <button type="button" class="btn btn-default btn-sm pull-right" data-target="#selectTemplate" data-toggle="modal">Change Template</button>
        <span class="lead">Selected Template: <strong id="atpl_name">Default</strong></span>
    </div>
    <input type="hidden" name="__wpdm_op_template" id="__wpdm_op_template" value="default" />
    <div class="row">
        <div class="col-md-4">
            <div class="panel panel-default panel-to">
                <div class="panel-heading">Template Options</div>
                <div class="panel-body" id="atpl_cfg">
                    <?php
                    $id = get_the_ID();
                    include $templates['default']['config'];
                    ?>
                </div>
                <div class="panel-heading">Animation</div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Entrance</label>
                                <?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_entani','zoomIn'); ?>
                                <select name="__wpdm_op_entani" id="__wpdm_op_entani" class="form-control">
                                    <?php
                                    $inani = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_entani','zoomIn');
                                    foreach ($animations as $id => $name){
                                        $selected = selected($id, $inani, false);
                                        if(!strstr($name, 'Out')) {
                                            echo "<option value='{$id}' {$selected}>{$name}</option>";
                                        }
                                    } ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Exit</label>
                                <select name="__wpdm_op_extani" id="__wpdm_op_extani" class="form-control">
                                    <?php
                                    $outani = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_extani','zoomOut');
                                    foreach ($animations as $id => $name){
                                        $selected = selected($id, $outani, false);
                                        if(strstr($name, 'Out')) {
                                            echo "<option value='{$id}' {$selected}>{$name}</option>";
                                        }
                                    } ?>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-8">

            <iframe src="" id="wpdmopp_preview" style="width: 100%;height: 500px;border: 0;"></iframe>


        </div>
    </div>

<!-- Modal -->
<div class="modal fade" id="selectTemplate" tabindex="-1" role="dialog" aria-labelledby="selectTemplateLabel">
    <div class="modal-dialog" role="document" style="border-radius:0 !important;left:0 !important;right:0 !important;width:100% !important;height:100% !important;top:25px !important;margin:0 !important;">
        <div class="modal-content" style="border-radius:0 !important;left:0 !important;right:0 !important;width:100% !important;height:calc(100% - 25px) !important;margin:0 !important;">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times-circle"></i></span></button>
                <h4 class="modal-title" id="selectTemplateLabel"><?php _e('Select Template','wpdm-premium-packages'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="row">
                    <?php
                    foreach ($templates as $id => $template) {
                        ?>
                        <div class="col-md-3">

                            <div class="panel panel-default select-opptemplate" id="<?php echo $id; ?>" data-id="<?php echo $id; ?>" data-name="<?php echo $template['name'] ;?>">
                                <div class="panel-body">
                                    <img src="<?php echo $template['screenshot']; ?>" alt="<?php echo $template['name'] ;?>" style="max-width: 100%" />
                                </div>
                                <div class="panel-footer">
                                    <?php echo $template['name']; ?>
                                </div>
                            </div>

                        </div>
                        <?php
                    }
                    ?>
                </div>
            </div>
            <div class="modal-footer text-right" style="width: 100%;position: fixed;bottom: 25px">
                <button type="button" class="btn btn-success" id="applytpl">Apply Template</button>
            </div>


        </div>
    </div>
</div>
    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true"><i class="fa fa-times-circle"></i></span></button>
                <h4 class="modal-title" id="myModalLabel"><?php _e('Select Package','wpdm-premium-packages'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="input-group">
                    <input type="text" placeholder="<?php _e('Search Package...','wpdm-premium-packages'); ?>" class="form-control" id="srcp">
                    <div class="input-group-btn"><button type="button" class="btn btn-default" id="srcpnow"><i class="fas fa-search"></i></button></div>
                </div>
                <br/>
                <div class="list-group" id="productlist">

                </div>
            </div>


        </div>
    </div>
</div>
</div>
<style>
    .select-opptemplate{
        cursor: pointer;
    }

    .well{
        box-shadow: none !important;
        border: 0 !important;
        margin: -6px -12px 15px -12px !important;
        border-radius: 0 !important;
    }
    #atpl_cfg .panel-body{
        max-height: 500px;
        overflow: auto;
    }
    .panel-to, .panel-to .panel-heading{
        border-radius: 0 !important;
        box-shadow: none;
        background-image: none;
    }

    #atpl_cfg .wpdm-settings-fields{
        margin: 0 !important;
        padding: 0 !important;
    }

    #wpdmopp_preview{
        overflow: hidden;
    }
</style>
<script>
    var atpl_id, atpl_name;
    jQuery(function($){

        //$('select').chosen();

        $('#srcpnow').on('click', function () {
            $.post(ajaxurl, {action: 'wp-link-ajax', _ajax_linking_nonce: '<?php echo wp_create_nonce( 'internal-linking' ); ?>', page: 1, search: $('#srcp').val()}, function (res) {
                res = JSON.parse(res);
                $(res).each(function( i, package ) {
                    if(package.info == 'Package')
                        $( "#productlist").append( "<div class='list-group-item'><a style='opacity: 1;margin-top: -3px;margin-right: -5px' href='#' data-dismiss='modal' data-pid='"+package.ID+"' class='close pull-right insert-pid'><i class='fa fa-plus-circle color-green'></i></a>"+package.title+"</div>" );
                });
            });
        });
        $('body').on('click', '.insert-pid', function (e) {
            e.preventDefault();
            $('#lpid').val($(this).data('pid'));
            $('#myModal').modal('close');
        });
        $('#wpdmopp_preview').attr('src', '<?php echo admin_url("?__wpdmoptpl=default&pid=".get_the_ID()); ?>');
        /*$.get(ajaxurl, {action: 'wpdmopp_preview', __wpdmoptpl: 'default'}, function (res) {
            var $frame = $('<iframe style="width:100%; height:500px;border: 0;"></iframe>');
            $('#wpdmopp_preview').html($frame);
            var doc = $frame[0].contentWindow.document;
            var $body = $('body',doc);
            $body.html(res);
        });
        */
        $('.select-opptemplate').on('click', function () {
            $('.select-opptemplate').removeClass('panel-primary panel-default').addClass('panel-default');
            $(this).removeClass('panel-default').addClass('panel-primary');
            atpl_id = $(this).data('id');
            atpl_name = $(this).data('name');
        });

        $('#applytpl').on('click', function () {
            $('#atpl_name').html(atpl_name);
            $('#__wpdm_op_template').val(atpl_id);
            $.get(ajaxurl, {action: 'wpdmopp_config', __wpdmoptplcfg: atpl_id}, function (res) {
                $('#atpl_cfg').html(res);
            });
            $('#wpdmopp_preview').attr('src', '<?php echo admin_url("?pid=".get_the_ID()."&__wpdmoptpl=") ?>'+atpl_id);
            $('#selectTemplate').modal('hide');
        });

        $('#atpl_cfg input, #atpl_cfg select').on('change', function () {
             if($(this).hasClass('css'))
                 $('.')
        });

        $('#__wpdm_op_entani').on('change', function () {
            document.getElementById("wpdmopp_preview").contentWindow.cAnimin($(this).val());
        });
        $('#__wpdm_op_extani').on('change', function () {
            document.getElementById("wpdmopp_preview").contentWindow.cAnimout($(this).val());
        });

    });

    function set_iframe_height(h) {
        jQuery('#wpdmopp_preview').css('height', h+'px');
    }
</script>
