<?php
if (!defined('ABSPATH')) die();
/**
 * User: shahnuralam
 * Date: 11/28/17
 * Time: 3:56 PM
 */
?>
<div class="wpdm-settings-fields">

    <div class="form-group">
        <label>Background Image URL</label>
        <div class='input-group'>
            <input style='min-width: 90%'
                   class='cpb form-control  url __wpdm_op_cfg'
                   type='text'
                   name='__wpdm_op_icon'
                   id='__wpdm_op_icon' value='<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_icon', WPDM_OP_URL.'assets/images/bg1.jpg'); ?>'/>
            <span
                    class='input-group-btn'><button rel='#__wpdm_op_icon'
                                                    class='btn btn-default btn-media-upload'
                                                    type='button'><i
                            class='fa fa-image'></i></button></span>
        </div>
        <fieldset style="margin-top: 5px">
            <legend>Select Background</legend>
            <a class="setbg pull-left" href="#"><img style="width: 64px" src="<?php echo WPDM_OP_URL.'assets/images/bg1.jpg'; ?>" alt="BG1" /></a>
            <a class="setbg pull-left" href="#"><img style="width: 64px" src="<?php echo WPDM_OP_URL.'assets/images/bg2.jpg'; ?>" alt="BG1" /></a>
            <a class="setbg pull-left" href="#"><img style="width: 64px" src="<?php echo WPDM_OP_URL.'assets/images/bg3.png'; ?>" alt="BG1" /></a>
            <a class="setbg pull-left" href="#"><img style="width: 64px" src="<?php echo WPDM_OP_URL.'assets/images/bg4.jpg'; ?>" alt="BG1" /></a>
            <a class="setbg pull-left" href="#"><img style="width: 64px" src="<?php echo WPDM_OP_URL.'assets/images/bg5.jpg'; ?>" alt="BG1" /></a>
            <a class="setbg pull-left" href="#"><img style="width: 64px" src="<?php echo WPDM_OP_URL.'assets/images/bg6.png'; ?>" alt="BG1" /></a>
            <a class="setbg pull-left" href="#"><img style="width: 64px" src="<?php echo WPDM_OP_URL.'assets/images/bg7.png'; ?>" alt="BG1" /></a>
        </fieldset>
    </div>

    <div class="form-group">
        <label>Heading</label>
        <input name="__wpdm_op_heading" class="form-control html __wpdm_op_cfg" id="__wpdm_op_heading" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_heading', 'Subscribe To Newsletter'); ?>" placeholder="" type="text">
    </div>

    <div class="form-group">
        <label>Sub Heading</label>
        <input name="__wpdm_op_subheading" class="form-control html __wpdm_op_cfg" id="__wpdm_op_subheading" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_subheading', 'We promise we will not spam you.'); ?>" placeholder="" type="text">
    </div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label>Subscribe Button Label</label>
                <input name="__wpdm_op_subbtn_label" class="form-control html __wpdm_op_cfg" id="__wpdm_op_subbtn_label" value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_subbtn_label', 'Subscribe'); ?>" placeholder="" type="text">
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group"><label>Subscribe Button Color</label>
                <?php $__wpdm_op_subbtn_color = \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_subbtn_color', 'success'); ?>
                <select name="__wpdm_op_subbtn_color"
                                                                          id="__wpdm_op_subbtn_color"
                                                                          class="form-control class __wpdm_op_cfg"
                                                                          >
            <option value="default" <?php selected($__wpdm_op_subbtn_color, 'default'); ?>>Default</option>
            <option value="success" <?php selected($__wpdm_op_subbtn_color, 'success'); ?>>Success</option>
            <option value="primary" <?php selected($__wpdm_op_subbtn_color, 'primary'); ?>>Primary</option>
            <option value="info" <?php selected($__wpdm_op_subbtn_color, 'info'); ?>>Info</option>
            <option value="warning" <?php selected($__wpdm_op_subbtn_color, 'warning'); ?>>Warning</option>
            <option value="danger" <?php selected($__wpdm_op_subbtn_color, 'danger'); ?>>Danger</option>
        </select></div>
        </div>
    </div>
    <div class="row">

        <div class="col-md-12">
    <div class="form-group"><label>Close Icon Color</label>
        <input type="color" name="__wpdm_op_decbtn_color"
                id="__wpdm_op_decbtn_color"
                class="form-control class __wpdm_op_cfg"
        value="<?php echo \WPDM\AddOn\OptinPopup::__($id, '__wpdm_op_decbtn_color', '#888888'); ?>" />

    </div>
        </div>
    </div>
</div>
<style>
    .setbg{
        padding: 3px;
        margin: 3px;
        border: 1px solid #eeeeee;
    }
</style>
<script>
    jQuery(function ($) {
        $('#__wpdm_op_heading, #__wpdm_op_subheading, #__wpdm_op_subbtn_label, #__wpdm_op_decbtn_label').on('keyup', function () {
            var _class = $(this).attr('id');
            $('#wpdmopp_preview').contents().find("."+_class).html($(this).val());
        });

        $('#__wpdm_op_icon').on('change focus blur', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_bgcolor").css('background-image', "url("+$(this).val()+")").css('background-size', "cover");
        });

        $('.setbg').on('click', function (e) {
            e.preventDefault();
            var bg = $(this).find('img').attr('src');
            $('#__wpdm_op_icon').val(bg);
            $('#wpdmopp_preview').contents().find(".__wpdm_op_bgcolor").css('background-image', "url("+bg+")");
        });

        $('#__wpdm_op_bgcolor').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_bgcolor").css('background-color', $(this).val());
        });
        $('#__wpdm_op_txtcolor').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_txtcolor").css('color', $(this).val());
        });
        $('#__wpdm_op_decbtn_color').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_decbtn_color").css('color', $(this).val());
        });

        $('#__wpdm_op_subbtn_color').on('change', function () {
            $('#wpdmopp_preview').contents().find(".__wpdm_op_subbtn_color").attr('class', '__wpdm_op_subbtn_label __wpdm_op_subbtn_color btn btn-block btn-lg btn-'+$(this).val());
        });

    });
</script>
