<?php
/*
Plugin Name: WPDM - Speed Control
Description: Enable WPDM Pro to set different download speed for different user roles
Plugin URI: http://www.wpdownloadmanager.com/
Author: Shaon
Version: 1.2.0
Author URI: http://www.wpdownloadmanager.com/
*/

 

function wpdm_set_download_speed($speed){
    global $current_user, $wp_roles;    
    $roles = @array_reverse($wp_roles->role_names); 
    if(!$roles) $roles = array();
    $speed_limit = get_option('_wpdm_speed_limit',array());
    $role = $current_user->ID?$current_user->roles[0]:'guest';        
    $speed_limit = $speed_limit[$role];             
    return $speed_limit>0?$speed_limit:$speed;
}
 
 

function wpdm_speed_limit_by_roles(){
    global $current_user;     
    ?>

         <div class="panel panel-default">
    <div class="panel-heading"><?php _e('Download Speeds','wpdmpro'); ?></div>

 
<?php
    $wpdm_speed_limit = get_option('_wpdm_speed_limit',array());
 
    
    ?>
    
    <table cellspacing="0" cellpadding="5" class="table table-bordered">
    <thead>
    <tr><th>User Role</th><th width="120px">Download Speed</th></tr>
    </thead>    
    <tr><td>Guests</td><td><div class="input-group"><input type="text" name="_wpdm_speed_limit[guest]" class="form-control" style="width: 80px" value="<?php echo isset($wpdm_speed_limit['guest'])?$wpdm_speed_limit['guest']:get_option('__wpdm_download_speed', 10240); ?>" /><span class="input-group-addon" id="basic-addon3">KB/s</span></div></td></tr>
    <?php
    global $wp_roles;
    $roles = array_reverse($wp_roles->role_names);    
    foreach( $roles as $role => $name ) { 
    ?>
    <tr><td><?php echo $name; ?></td><td><div class="input-group"><input type="text" class="form-control" size="5" style="width: 80px" name="_wpdm_speed_limit[<?php echo $role; ?>]" value="<?php echo isset($wpdm_speed_limit[$role])?$wpdm_speed_limit[$role]:get_option('__wpdm_download_speed', 10240); ?>"><span class="input-group-addon" id="basic-addon3">KB/s</span></div></td></tr>
    <?php } ?>
    </table>

         </div>

 
    
    <?php
}
 
add_filter('wpdm_download_speed','wpdm_set_download_speed');  
add_action('basic_settings_section','wpdm_speed_limit_by_roles');
 
 


