<div class="w3eden">
<div class="panel panel-default">
    <div class="panel-heading"><?php _e('Up Sells','wpdmpp-linked-products'); ?></div>
    <div class="panel-body">
        <div class="list-group" id="upsell">
            <?php
            $viewupsells = "";
            $getupsells = maybe_unserialize(get_post_meta(get_the_ID(), '__wpdm_upsell', true));
            if ($getupsells) {
                foreach ($getupsells as $ID) {
                    ?>
                    <div class="list-group-item" id="upsell-<?php echo $ID; ?>">

                        <a class="btn btn-danger btn-xs pull-right ntdelbutton upsell-del" onclick="jQuery(this.rel).remove()" rel="#upsell-<?php echo $ID; ?>"><i class="fa fa-trash-o"></i><input type="hidden" name="file[upsell][]" value="<?php echo $ID; ?>" /></a>
                        <?php echo get_the_title($ID); ?>

                    </div>
                    <?php
                }
            }
            ?>
        </div>
    </div>
    <div class="panel-footer">
            <div style="clear: both"><input type="text" class="form-control" size="10" id="upname" name="mname" placeholder="Enter product name" title="Enter product name"></div>
    </div>
</div>

    <div class="panel panel-default">
        <div class="panel-heading"><?php _e('Cross Sells','wpdmpp-linked-products'); ?></div>
        <div class="panel-body">
            <div class="list-group" id="crosssell"><?php
            $viewcrosssells = "";
            $getcrosssells = maybe_unserialize(get_post_meta(get_the_ID(), '__wpdm_crosssell', true));
            if ($getcrosssells) {
                foreach ($getcrosssells as $ID) {
                    ?>

                    <div class="list-group-item" id="crosssell-<?php echo $ID; ?>">
                            <a class="btn btn-danger btn-xs pull-right ntdelbutton crosssell-del" onclick="jQuery(this.rel).remove()" rel="#crosssell-<?php echo $ID; ?>"><i class="fa fa-trash-o"></i><input type="hidden" name="file[crosssell][]" value="<?php echo $ID; ?>" /></a>
                            <?php echo get_the_title($ID); ?>
                    </div>

                    <?php
                }
            }
            ?>
            </div>
        </div>
        <div class="panel-footer">
            <div style="clear: both"><input type="text" class="form-control" size="10" id="crossname" name="crossname" placeholder="Enter product name" title="Enter product name"></div>
        </div>
    </div>
<?php /*
    <div class="panel panel-default">
        <div class="panel-heading"><?php _e('Group Products','wpdmpp-linked-products'); ?></div>
        <div class="panel-body">
            <div class="list-group" id="grouping">
            <?php
            $viewgrouping = "";
            $getgrouping = maybe_unserialize(get_post_meta(get_the_ID(), '__wpdm_grouping', true));
            if ($getgrouping) {
                foreach ($getgrouping as $ID) {
                    ?>

                    <div class="list-group-item" id="grouping-<?php echo $ID; ?>">

                            <a class="btn btn-danger btn-xs pull-right ntdelbutton grouping-del" onclick="jQuery(this.rel).remove()" rel="#grouping-<?php echo $ID; ?>"><i class="fa fa-trash-o"></i><input type="hidden" name="file[grouping][]" value="<?php echo $ID; ?>" /></a>
                            <?php echo get_the_title($ID); ?>

                    </div>

                    <?php
                    }
            }
            ?>

            </div>
        </div>
        <div class="panel-footer">
            <div style="clear: both"><input type="text" class="form-control" size="10" id="groupingname" name="groupingname" placeholder="Enter product name" title="Enter product name"></div>
        </div>
    </div>
 */ ?>




</div>




<script type="text/javascript">
    jQuery(function () {

        function split(val) {
            return val.split(/,\s*/);
        }
        function extractLast(term) {
            return split(term).pop();
        }


        //up-sell Jquery to get data from database
        jQuery("#upname")
                .bind("keydown", function (event) {
                    if (event.keyCode === jQuery.ui.keyCode.TAB &&
                            jQuery(this).data("ui-autocomplete").menu.active) {
                        event.preventDefault();
                    }
                })
                .autocomplete({
                    source: function (request, response) {
                        jQuery.getJSON(ajaxurl + '?action=wpdm_cal_get_product', {
                            action: 'wpdm_cal_get_product',
                            term: extractLast(request.term)
                        }, response);
                        //                                    alert(response);
                    },
                    search: function () {

                        var term = extractLast(this.value);
                        if (term.length < 2) {
                            return false;
                        }
                    },
                    focus: function () {

                        return false;
                    },
                    select: function (event, ui) {
                        jQuery('#upsell').prepend('<div class="list-group-item" id="upsell-' + ui.item.id + '"><a class="btn btn-danger btn-xs pull-right ntdelbutton upsell-del" onclick="jQuery(this.rel).remove()" rel="#upsell-' + ui.item.id + '"><i class="fa fa-trash-o"></i><input type="hidden" name="file[upsell][]" value="' + ui.item.id + '" /></a>' + ui.item.value + '</div>');
                        this.value = "";
                        return false;
                    }
                });





        //crosssell Jquery to get data from database

        jQuery("#crossname")
                .bind("keydown", function (event) {
                    if (event.keyCode === jQuery.ui.keyCode.TAB &&
                            jQuery(this).data("ui-autocomplete").menu.active) {
                        event.preventDefault();
                    }
                })
                .autocomplete({
                    source: function (request, response) {
                        jQuery.getJSON(ajaxurl + '?action=wpdm_cal_get_product', {
                            action: 'wpdm_cal_get_product',
                            term: extractLast(request.term)
                        }, response);
                        //                                    alert(response);
                    },
                    search: function () {

                        var term = extractLast(this.value);
                        if (term.length < 2) {
                            return false;
                        }
                    },
                    focus: function () {

                        return false;
                    },
                    select: function (event, ui) {
                        jQuery('#crosssell').prepend('<div class="list-group-item" id="crosssell-' + ui.item.id + '"><a class="btn btn-danger btn-xs pull-right ntdelbutton crosssell-del" onclick="jQuery(this.rel).remove()" rel="#crosssell-' + ui.item.id + '"><i class="fa fa-trash-o"></i><input type="hidden" name="file[crosssell][]" value="' + ui.item.id + '" /></a>' + ui.item.value + '</div>');
                        this.value = "";
                        return false;
                    }
                });






        //grouping Jquery to get data from database


        jQuery("#groupingname")
                .bind("keydown", function (event) {
                    if (event.keyCode === jQuery.ui.keyCode.TAB &&
                            jQuery(this).data("ui-autocomplete").menu.active) {
                        event.preventDefault();
                    }
                })
                .autocomplete({
                    source: function (request, response) {
                        jQuery.getJSON(ajaxurl + '?action=wpdm_cal_get_product', {
                            action: 'wpdm_cal_get_product',
                            term: extractLast(request.term)
                        }, response);
                        //                                    alert(response);
                    },
                    search: function () {

                        var term = extractLast(this.value);
                        if (term.length < 2) {
                            return false;
                        }
                    },
                    focus: function () {

                        return false;
                    },
                    select: function (event, ui) {
                        jQuery('#grouping').prepend('<div class="col-md-4" style="margin-bottom: 15px" id="grouping-' + ui.item.id + '"><div class="input-group"><a class="input-group-addon ntdelbutton grouping-del" onclick="jQuery(this.rel).remove()" rel="#grouping-' + ui.item.id + '"><i class="fa fa-trash-o"></i><input type="hidden" name="file[grouping][]" value="' + ui.item.id + '" /></a><input type="text" style="background: #ffffff;box-shadow: none;" disabled="disabled" class="form-control" value="' + ui.item.value + '" aria-describedby="sizing-addon1"></div></div>');
                        this.value = "";
                        return false;
                    }
                });



    });



</script>




