<?php
if (!defined('ABSPATH')) die();
?>

    <input type="hidden" name="<?= WPPM_USER_PLAN_SELECTION_NONCE ?>" value="<?= wp_create_nonce(); ?>" />
<table class="table m-0">

    <tr style="background: #f5f5f5">
        <th><?php _e("Plans", WPPM_TEXTDOMAIN); ?></th>
        <th style="width: 200px"><?php _e("Expires At", WPPM_TEXTDOMAIN); ?></th>

    </tr>

    <?php foreach ($plans as $i => $plan) : ?>
        <tr>
            <td>
                <label class="wppm-role">
                    <input type="hidden" name="<?= WPPM_USER_SUBSCRIPTIONS ?>[<?= $i ?>][plan_id]" value="<?= $plan['plan_id'] ?>">
                    <input type="hidden" name="<?= WPPM_USER_SUBSCRIPTIONS ?>[<?= $i ?>][subscription_id]" value="<?= $plan['subscription_id'] ?>">
                    <input type="checkbox" name="<?= WPPM_USER_SUBSCRIPTIONS ?>[<?= $i ?>][subscribed]" value="1" <?= $plan['subscribed'] ? "checked" : "" ?> style="margin: 0 10px 0 0 !important;" class="wppm-role-input">
                    <span><?= $plan['plan_name'] ?></span>
                </label>
            </td>

            <td>
                <input type="hidden" name="<?= WPPM_USER_SUBSCRIPTIONS ?>[<?= $i ?>][expires_at_old]" value="<?= $plan['expires_at'] ?>" readonly="readonly" />
                <input style="padding: 0 10px" type="date" name="<?= WPPM_USER_SUBSCRIPTIONS ?>[<?= $i ?>][expires_at]" value="<?= $plan['expires_at'] ?>" class="form-control bg-white text-right" />
            </td>
        </tr>
    <?php endforeach; ?>
</table>

<style>
    .wppm-role-input:checked+span {
        color: var(--color-primary);
    }

    .p-0 {
        padding: 0 !important;
    }

    .promembership .table td label {
        margin: 0 !important;
    }

    .promembership .table td {
        vertical-align: middle !important;
    }
    td{
        vertical-align: middle !important;
    }
</style>