<?php
if (!defined("ABSPATH")) die("Shit happens!");
?>

<div id="paypal-button-container"></div>

<script>
    jQuery(function ($) {
        paypal.Buttons({

            style: {
                layout: 'horizontal',  /* horizontal | vertical */
                size: 'responsive',    /* medium | large | responsive  */
                shape: 'rect',      /* pill | rect  */
                color: 'blue',       /* gold | blue | silver | white | black  */
                label: 'checkout',
                tagline: false
            },

            createOrder: function (data, actions) {


                return actions.order.create({

                    purchase_units: [{

                        amount: {

                            value: '<?php echo $total; ?>',
                            currency_code: '<?php echo wpdmpp_currency_code(); ?>'

                        },
                        description: '<?php echo $plan_name; ?>',
                        custom: '<?php echo $order_id; ?>'

                    }]

                });

            },

            onApprove: function (data, actions) {

                // This function captures the funds from the transaction.

                return actions.order.capture().then(function (details) {

                    // This function shows a transaction success message to your buyer.
                    console.log(details);
                    var postUrl = "<?= add_query_arg('action', WPPM_AJAX_ACTION_PROCESS_SUBSCRIPTION, admin_url('admin-ajax.php')); ?>";
                    var postData = {
                        'payment_system_id': "<?= $payment_system_id ?>",
                        'plan_id': "<?= $wppm_plan_id ?>",
                        'payment_system_subscription_data': data
                    };

                    WPDM.blockUI('#checkout-form');
                    $.post(postUrl, postData, function (res) {
                        WPDM.unblockUI('#checkout-form');
                        redirectToWPPMAccountPage();
                    }, 'json')
                        .fail(function (res) {
                            console.log(res);
                        });

                });

            },


        }).render('#paypal-button-container');
        /*
        $.getScript('https://www.paypal.com/sdk/js?client-id=<?php echo $client_id; ?>', function () {




            paypal.Buttons({

                env: '<?php echo $env; ?>',



                funding: {
                    allowed: [
                        paypal.FUNDING.CARD

                    ],
                    disallowed: [paypal.FUNDING.CREDIT]
                },
                client: {
                    sandbox: '<?php echo $client_id; ?>',
                    production: '<?php echo $client_id; ?>'
                },

                payment: function (data, actions) {
                    return actions.payment.create({
                        payment: {
                            transactions: [
                                {
                                    amount: {
                                        total: '<?php echo $total; ?>',
                                        currency: '<?php echo wpdmpp_currency_code(); ?>'
                                    },
                                    description: '<?php echo $plan_name; ?>',
                                    custom: '<?php echo $order_id; ?>'
                                }
                            ]
                        }
                    });
                },

                onAuthorize: function (data, actions) {
                    console.log("OK...");
                    console.log(data);
                    var datax = jQuery('#payment_form').serialize();
                    return actions.payment.execute()
                        .then(function (response) {
                            console.log(response);
                            var postUrl = "<?= add_query_arg('action', WPPM_AJAX_ACTION_PROCESS_SUBSCRIPTION, admin_url('admin-ajax.php')); ?>";
                            var postData = {
                                'payment_system_id': "<?= $payment_system_id ?>",
                                'plan_id': "<?= $wppm_plan_id ?>",
                                'payment_system_subscription_data': data
                            };

                            WPDM.blockUI('#checkout-form');
                            $.post(postUrl, postData, function (res) {
                                WPDM.unblockUI('#checkout-form');
                                redirectToWPPMAccountPage();
                            }, 'json')
                                .fail(function (res) {
                                    console.log(res);
                                });

                        });
                }
            }).render('#paypal-button-container');


        });
        */
    })
</script>
