<button type="submit" role="testpay" id="test-pay" class="btn btn-primary btn-lg btn-block">
    <?php _e('Test Pay', 'wppromembership'); ?>
    <i class="icon icon-angle-right"></i>
</button>

<script>
    jQuery(function($) {
        $("#test-pay").click(function(e) {
            e.preventDefault();

            var confirmed = confirm('Do you pay for ' + "<?= $plan->getName() ?>");
            if (confirmed) {
                // now verify the payment
                var data = {
                    'payment_system_id': "<?= $payment_system_id ?>",
                    'plan_id': "<?= $plan->getId() ?>"
                };
                var postUrl = "<?= add_query_arg('action', WPPM_AJAX_ACTION_PROCESS_SUBSCRIPTION, admin_url('admin-ajax.php')); ?>";
                //console.log(data); return;
                $.post(postUrl, data, function(res) {
                        console.log(res);
                        redirectToWPPMAccountPage();
                    })
                    .fail(function(res) {
                        var data = res.responseJSON;
                        console.log(data);
                        //showErrors(data);
                    });
            }
        })
    })
</script>