<?php


if (!defined('ABSPATH')) die();

global $wppm;

if (count($enabled_payment_systems) > 0) : ?>

    <div class="form-group" id="wppm-checkout-pms">

        <?php // $wppm->payment_system_manager->render_coupon_code(); 
        ?>

        <div class="panel panel-default card panel-checkout-pms">
            <div class="panel-heading card-header"><?= __('Select Payment System', 'wppromembership'); ?></div>
            <div class="pm-list list-group" style="cursor: pointer">

                <?php foreach ($enabled_payment_systems as $system) : ?>

                    <label class="list-group-item">
                        <div class="media">
                            <div class="pull-left" style="width: 35px;text-align: center">
                                <div class="wppm-custom-radio">
                                    <input type="radio" role="payment-system" name="payment_system_id" class="wppm-payment-system" value="<?= $system->getPaymentSystemId(); ?>" />
                                    <span class="checkmark"></span>
                                </div>
                            </div>
                            <div class="media-body">
                                <h3><?= $system->getPaymentSystemName() ?></h3>
                            </div>
                        </div>
                    </label>
                <?php endforeach ?>
            </div>
        </div>
    </div>


<?php endif ?>