<?php

use WPDM\WPPM\Subscription\SubscriptionFilter;
use WPDM\WPPM\Subscription\SubscriptionManager;

$sub_manager = SubscriptionManager::getInstance();
?>

<div class="panel panel-default">
    <div class="panel-heading">
        Subscriptions And Cancellation
    </div>

    <div class="panel-body-np">
        <table class="table">
            <thead>
                <th></th>
                <th>Subscriptions</th>
                <th>Cancellations</th>
            </thead>
            <tr>
                <td>Today</td>
                <td>
                    <?php
                    $filter = new SubscriptionFilter();
                    $filter->setInterval('TODAY');
                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
                <td>
                    <?php
                    $filter->setSubscriptionStatus('CANCELED');
                   // pd($filter);
                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
            </tr>

            <tr>
                <td>This Month</td>
                <td>
                    <?php
                    $filter = new SubscriptionFilter();
                    $filter->setInterval('THIS_MONTH');

                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
                <td>
                    <?php
                    $filter->setSubscriptionStatus('CANCELED');
                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
            </tr>

            <tr>
                <td>This Year</td>
                <td>
                    <?php
                    $filter = new SubscriptionFilter();
                    $filter->setInterval('THIS_YEAR');

                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
                <td>
                    <?php
                    $filter->setSubscriptionStatus('CANCELED');
                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
            </tr>

            <tr>
                <td>All Time</td>
                <td>
                    <?php
                    echo  $sub_manager->countSubscriptions();
                    ?>
                </td>
                <td>
                    <?php
                    $filter = new SubscriptionFilter();
                    $filter->setSubscriptionStatus('CANCELED');
                    echo  $sub_manager->countSubscriptions($filter);
                    ?>
                </td>
            </tr>
        </table>
    </div>
</div>